com.independentsoft.msg

## Class Message

- java.lang.Object
- - com.independentsoft.msg.Message

-     public class Message
      extends java.lang.Object

  Represents Outlook message file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()` Initializes a new instance of the Message class.
    `Message(java.io.InputStream inputStream)` Initializes a new instance of the Message class based on the supplied stream.
    `Message(java.lang.String filePath)` Initializes a new instance of the Message class based on the supplied file.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getActualWork()` Gets the actual effort (in minutes) spent on the task.\
    `java.util.Date` | `getAppointmentEndTime()` Gets appointment's the end date and time.
    `java.lang.String` | `getAppointmentMessageClass()` Gets appointment's message class.
    `java.util.Date` | `getAppointmentStartTime()` Gets appointment's the start date and time.
    `java.lang.String` | `getAssistentName()` Gets the name of assistent of the contact.
    `java.lang.String` | `getAssistentPhone()` Gets assistent's phone number of the contact.
    `java.util.List<Attachment>` | `getAttachments()` Gets collection of attachments.
    `java.lang.String` | `getBillingInformation()` Gets the billing information associated with a message.
    `java.util.Date` | `getBirthday()` Gets the birthday date for the contact.
    `java.lang.String` | `getBody()` Gets the message text.
    `byte[]` | `getBodyHtml()` Gets the Hypertext Markup Language (HTML) version of the message text.
    `java.lang.String` | `getBodyHtmlText()` Gets the Hypertext Markup Language (HTML) version of the message text.
    `byte[]` | `getBodyRtf()` Gets the Rich Text Format (RTF) version of the message text.
    `java.lang.String` | `getBusinessAddress()` Gets the whole, unparsed business address for the contact.
    `java.lang.String` | `getBusinessAddressCity()` Gets the city name portion of the business address for the contact.
    `java.lang.String` | `getBusinessAddressCountry()` Gets the country/region code portion of the business address for the contact.
    `java.lang.String` | `getBusinessAddressPostalCode()` Gets the postal code (zip code) portion of the business address for the contact.
    `java.lang.String` | `getBusinessAddressPostOfficeBox()` Gets the post office box number portion of the business address for the contact.
    `java.lang.String` | `getBusinessAddressState()` Gets the state code portion of the business address for the contact.
    `java.lang.String` | `getBusinessAddressStreet()` Gets the street address portion of the business address for the contact.
    `java.lang.String` | `getBusinessFax()` Gets the business fax number for the contact.
    `java.lang.String` | `getBusinessHomePage()` Gets the url of the business Web page for the contact.
    `java.lang.String` | `getBusinessPhone()` Gets the first business telephone number for the contact.
    `java.lang.String` | `getBusinessPhone2()` Gets the second business telephone number for the contact.
    `BusyStatus` | `getBusyStatus()` Gets appointment's busy status.
    `java.lang.String` | `getCallbackPhone()` Gets the callback telephone number for the contact.
    `java.lang.String` | `getCarPhone()` Gets the car telephone number for the contact.
    `java.util.List<java.lang.String>` | `getCategories()` Gets the categories associated with a message.
    `java.lang.String` | `getCellularPhone()` Gets the mobile telephone number for the contact.
    `byte[]` | `getChangeKey()` Gest a change key of a message.
    `java.nio.charset.Charset` | `getCharset()` Gets message charset.
    `java.util.List<java.lang.String>` | `getChildrenNames()` Gest the names of the children of the contact.
    `java.util.Date` | `getClientSubmitTime()` Gets the date and time the message sender submitted a message.
    `java.util.Date` | `getCommonEndTime()` Gets the end date and time of a message.
    `java.util.Date` | `getCommonStartTime()` Gets the start date and time of a message.
    `java.util.List<java.lang.String>` | `getCompanies()` Gets the names of the companies associated with the contact item.
    `java.lang.String` | `getCompanyMainPhone()` Gets the company main telephone number for the contact.
    `java.lang.String` | `getCompanyName()` Gets the company name for the contact.
    `java.lang.String` | `getComputerNetworkName()` Gets the name of the computer network for the contact.
    `boolean` | `getContactHasPicture()` Gets true if the contact has picture, otherwise false.
    `java.util.List<java.lang.String>` | `getContactNames()` Gets the names of the contacts associated with the item.
    `byte[]` | `getConversationIndex()` Gets a binary value that indicates the relative position of this message within a conversation thread.
    `java.lang.String` | `getConversationTopic()` Gets the topic of the first message in a conversation thread.
    `java.util.Date` | `getCreationTime()` Gets the creation date and time of a message.
    `java.lang.String` | `getCreatorName()` Gets name of the person who created message.
    `java.lang.String` | `getCustomerId()` Gets the customer ID for the contact.
    `java.util.Date` | `getDateCompleted()` Gets the completion date of the task.
    `java.lang.String` | `getDelegator()` Gets task's delegator name.
    `boolean` | `getDeliveryReportRequested()` Gets the delivery report requested.
    `java.lang.String` | `getDepartmentName()` Gets the department name for the contact.
    `boolean` | `getDisableFullFidelity()` Gets the disable full fidelity.
    `java.lang.String` | `getDisplayBcc()` Gets an ASCII list of the display names of any blind carbon copy (BCC) message recipients, separated by semicolons (;).
    `java.lang.String` | `getDisplayCc()` Gets an ASCII list of the display names of any carbon copy (CC) message recipients, separated by semicolons (;).
    `java.lang.String` | `getDisplayName()` Gets display name.
    `java.lang.String` | `getDisplayNamePrefix()` Gets display name prefix.
    `java.lang.String` | `getDisplayTo()` Gets a list of the display names of the primary (To) message recipients, separated by semicolons (;).
    `int` | `getDuration()` Gets appointment's duration in minutes.
    `java.lang.String` | `getEmail1Address()` Gets the e-mail address of the first e-mail entry for the contact.
    `java.lang.String` | `getEmail1DisplayAs()` Gets the display as name of the first e-mail address for the contact.
    `java.lang.String` | `getEmail1DisplayName()` Gets the display name of the first e-mail address for the contact.
    `byte[]` | `getEmail1EntryId()` Gets the entry ID of the first e-mail address for the contact.
    `java.lang.String` | `getEmail1Type()` Gets the type of the first e-mail address for the contact.
    `java.lang.String` | `getEmail2Address()` Gets the e-mail address of the second e-mail entry for the contact.
    `java.lang.String` | `getEmail2DisplayAs()` Gets the display as name of the second e-mail address for the contact.
    `java.lang.String` | `getEmail2DisplayName()` Gets the display name of the second e-mail address for the contact.
    `byte[]` | `getEmail2EntryId()` Gets the entry ID of the second e-mail address for the contact.
    `java.lang.String` | `getEmail2Type()` Gets the type of the second e-mail address for the contact.
    `java.lang.String` | `getEmail3Address()` Gets the e-mail address of the third e-mail entry for the contact.
    `java.lang.String` | `getEmail3DisplayAs()` Gets the display as name of the third e-mail address for the contact.
    `java.lang.String` | `getEmail3DisplayName()` Gets the display name of the third e-mail address for the contact.
    `byte[]` | `getEmail3EntryId()` Gets the entry ID of the third e-mail address for the contact.
    `java.lang.String` | `getEmail3Type()` Gets the type of the third e-mail address for the contact.
    `Encoding` | `getEncoding()` Gets message encoding.
    `byte[]` | `getEntryId()` Gets a MAPI entry identifier used to open and edit properties of a particular MAPI object.
    `java.util.List<ExtendedProperty>` | `getExtendedProperties()` Gets collection of extended (custom) properties.
    `java.lang.String` | `getFileAs()` Gets the default keyword string assigned to the contact when it is filed.
    `java.util.Date` | `getFlagDueBy()` Gets the date and time specifying the date by which an e-mail message is due.
    `FlagIcon` | `getFlagIcon()` Gets the flag icon of the message object.
    `FlagStatus` | `getFlagStatus()` Gets the flag state of the message object.
    `java.lang.String` | `getFtpSite()` Gets the FTP site entry for the contact.
    `java.lang.String` | `getGeneration()` Gets the generation for the contact.
    `java.lang.String` | `getGivenName()` Gets the given name for the contact.
    `java.lang.String` | `getGovernmentId()` Gets the government ID number for the contact.
    `byte[]` | `getGuid()` Gets message's global unique id.
    `java.lang.String` | `getHobbies()` Gets the hobby names for the contact.
    `java.lang.String` | `getHomeAddress()` Gets the whole, unparsed home address for the contact.
    `java.lang.String` | `getHomeAddressCity()` Gets the city portion of the home address for the contact.
    `java.lang.String` | `getHomeAddressCountry()` Gets the country/region portion of the home address for the contact.
    `java.lang.String` | `getHomeAddressPostalCode()` Gets the postal code portion of the home address for the contact.
    `java.lang.String` | `getHomeAddressPostOfficeBox()` Gets the post office box number portion of the home address for the contact.
    `java.lang.String` | `getHomeAddressState()` Sets the state portion of the home address for the contact.
    `java.lang.String` | `getHomeAddressStreet()` Gets the street portion of the home address for the contact.
    `java.lang.String` | `getHomeFax()` Gets the home fax number for the contact.
    `java.lang.String` | `getHomePhone()` Gets the first home telephone number for the contact.
    `java.lang.String` | `getHomePhone2()` Gets the second home telephone number for the contact.
    `long` | `getIconIndex()` Gets a number that indicates which icon to use when you display a group of e-mail objects.
    `Importance` | `getImportance()` Gets a value that indicates the message sender's opinion of the importance of a message.
    `java.lang.String` | `getInitials()` Gets the initials for the contact.
    `java.io.InputStream` | `getInputStream()` Gets stream to read from this message.
    `java.lang.String` | `getInReplyTo()` Gets identifier of the message to which this message is a reply.
    `java.lang.String` | `getInstantMessengerAddress()` Gets the instant messenger address for the contact.
    `long` | `getInternetCodePage()` Gets the code page used for the Body or the BodyHtml properties.
    `java.lang.String` | `getInternetFreeBusyAddress()` Gets the url location of the user's free-busy information in vCard Free-Busy standard format.
    `java.lang.String` | `getInternetMessageId()` Gets unique ID for the message.
    `java.lang.String` | `getInternetReferences()` Gets Internet reference ID for the message..
    `java.lang.String` | `getIsdn()` Gets the ISDN number for the contact.
    `long` | `getJournalDuration()` Gets journal's the duration in minutes.
    `java.util.Date` | `getJournalEndTime()` Gets journal's the end date and time.
    `java.util.Date` | `getJournalStartTime()` Gets journal's the start date and time.
    `java.lang.String` | `getJournalType()` Gets the type of the journal item.
    `java.lang.String` | `getJournalTypeDescription()` Gets the type description of the journal item.
    `java.util.List<java.lang.String>` | `getKeywords()` Gets the categories associated with a message.
    `int` | `getLabel()` Gets appointment's label color.
    `java.util.Date` | `getLastModificationTime()` Gets the date and time when the message was last modified.
    `java.lang.String` | `getLastModifierName()` Gest name of the person who modified message.
    `LastVerbExecuted` | `getLastVerbExecuted()` Gets the last verb executed.
    `java.util.Date` | `getLastVerbExecutionTime()` Gets the time when the last verb was executed.
    `java.lang.String` | `getLocation()` Gets appointment's location.
    `java.lang.String` | `getManagerName()` Gets the manager name for the contact.
    `MeetingStatus` | `getMeetingStatus()` Gets the status of the meeting.
    `java.lang.String` | `getMessageClass()` Gets a text string that identifies the sender-defined message class, such as IPM.Note.
    `long` | `getMessageCodePage()` Gets the code page that is used for the message.
    `java.util.Date` | `getMessageDeliveryTime()` Gets the date and time when a message was delivered.
    `java.util.List<MessageFlag>` | `getMessageFlags()` Gets a bitmask of flags that indicate the origin and current state of a message.
    `java.lang.String` | `getMiddleName()` Gets the middle name for the contact.
    `java.lang.String` | `getMileage()` Gets free-form string value and can be used to store mileage information associated with the message.
    `java.lang.String` | `getNickname()` Gets the nickname for the contact.
    `java.lang.String` | `getNormalizedSubject()` Gets the message subject with any prefix removed.
    `NoteColor` | `getNoteColor()` Gets background color of the note item.
    `long` | `getNoteHeight()` Gets height of the note item.
    `long` | `getNoteLeft()` Gets left position of the note item.
    `long` | `getNoteTop()` Gets top position of the note item.
    `long` | `getNoteWidth()` Gets width of the note item.
    `ObjectType` | `getObjectType()` Gets the type of an object.
    `java.lang.String` | `getOfficeLocation()` Gets the specific office location for the contact.
    `java.lang.String` | `getOriginalDisplayTo()` Gets a list of the display names of the primary (To) message recipients, separated by semicolons (;).
    `java.lang.String` | `getOtherAddress()` Gets the whole, unparsed other address for the contact.
    `java.lang.String` | `getOtherAddressCity()` Gets the city portion of the other address for the contact.
    `java.lang.String` | `getOtherAddressCountry()` Gets the country/region portion of the other address for the contact.
    `java.lang.String` | `getOtherAddressPostalCode()` Gets the postal code portion of the other address for the contact.
    `java.lang.String` | `getOtherAddressState()` Gets the state portion of the other address for the contact.
    `java.lang.String` | `getOtherAddressStreet()` Gets the street portion of the other address for the contact.
    `java.lang.String` | `getOtherPhone()` Gets the other telephone number for the contact.
    `long` | `getOutlookInternalVersion()` Gets internal version number of Microsoft Office Outlook client.
    `java.lang.String` | `getOutlookVersion()` Gets version number of Microsoft Office Outlook client.
    `java.lang.String` | `getOwner()` Gets task's owner name.
    `java.lang.String` | `getPager()` Gets the pager number for the contact.
    `double` | `getPercentComplete()` Gets the percentage of the task completed at the current date and time.
    `java.lang.String` | `getPersonalHomePage()` Gets the url of the personal Web page for the contact.
    `java.lang.String` | `getPostalAddress()` Gets the postal address for the contact.
    `java.lang.String` | `getPrimaryFax()` Gets the primary fax number for the contact.
    `java.lang.String` | `getPrimaryPhone()` Gets the primary telephone number for the contact.
    `Priority` | `getPriority()` Gets the relative priority of a message.
    `java.lang.String` | `getProfession()` Gets the profession for the contact.
    `java.util.Date` | `getProviderSubmitTime()` Gets the date and time the message provider submitted a message.
    `java.lang.String` | `getRadioPhone()` Gets the radio telephone number for the contact.
    `byte[]` | `getReadReceiptEntryId()` Gets the read receipt entry id.
    `boolean` | `getReadReceiptRequested()` Gets the read receipt requested.
    `byte[]` | `getReadReceiptSearchKey()` Gets the read receipt search key.
    `java.lang.String` | `getReceivedByAddressType()` Gets the e-mail address type, such as SMTP, for the messaging user who actually receives the message.
    `java.lang.String` | `getReceivedByEmailAddress()` Gets the e-mail address for the messaging user who receives the message.
    `byte[]` | `getReceivedByEntryId()` Gets the entry identifier of the messaging user who actually receives the message.
    `java.lang.String` | `getReceivedByName()` Gets the display name of the messaging user who receives the message.
    `byte[]` | `getReceivedBySearchKey()` Gets the search key of the messaging user who receives the message.
    `java.lang.String` | `getReceivedRepresentingAddressType()` Gets the address type for the messaging user who is represented by the user actually receiving the message.
    `java.lang.String` | `getReceivedRepresentingEmailAddress()` Gets the e-mail address for the messaging user who is represented by the receiving user.
    `byte[]` | `getReceivedRepresentingEntryId()` Gets the entry identifier for the messaging user who is represented by the receiving user.
    `java.lang.String` | `getReceivedRepresentingName()` Gets the display name for the messaging user who is represented by the receiving user.
    `byte[]` | `getReceivedRepresentingSearchKey()` Gets the search key for the messaging user represented by the receiving user.
    `java.util.List<Recipient>` | `getRecipients()` Gets collection of recipients.
    `java.lang.String` | `getRecurrencePattern()` Gets appointment's recurring pattern.
    `RecurrenceType` | `getRecurrenceType()` Gets the recurrence pattern type.
    `long` | `getReminderMinutesBeforeStart()` Gets the number of minutes the reminder should occur prior to the start of the appointment.
    `boolean` | `getReminderOverrideDefault()` Gets true if the reminder overrides the default reminder behavior for the appointment, mail item, or task.
    `boolean` | `getReminderPlaySound()` Gets true if the reminder should play a sound when it occurs for this appointment or task.
    `java.lang.String` | `getReminderSoundFile()` Gets the path and file name of the sound file to play when the reminder occurs for the appointment, mail message, or task.
    `java.util.Date` | `getReminderTime()` Gets the date and time at which the reminder should occur for the specified item.
    `java.lang.String` | `getReplyTo()` Gets reply to email address.
    `java.lang.String` | `getReportText()` Gets report text.
    `java.util.Date` | `getReportTime()` Gets the report date and time.
    `ResponseStatus` | `getResponseStatus()` Gets the response to a meeting request.
    `byte[]` | `getRtfCompressed()` Gets the Rich Text Format (RTF) version of the message text, usually in compressed form.
    `boolean` | `getRtfInSync()` Gets true if the getRtfCompressed() has the same text content as the getBody() for this message, otherwise false.
    `byte[]` | `getSearchKey()` Gets a binary-comparable key that identifies correlated objects for a search.
    `SelectedMailingAddress` | `getSelectedMailingAddress()` Gets the type of the mailing address for the contact.
    `java.lang.String` | `getSenderAddressType()` Gets the message sender's e-mail address type.
    `java.lang.String` | `getSenderEmailAddress()` Gets the message sender's e-mail address.
    `byte[]` | `getSenderEntryId()` Gets the message sender's entry identifier.
    `java.lang.String` | `getSenderName()` Gets the message sender's display name.
    `byte[]` | `getSenderSearchKey()` Gets the message sender's search key.
    `Sensitivity` | `getSensitivity()` Gets a value that indicates the message sender's opinion of the sensitivity of a message.
    `java.lang.String` | `getSentRepresentingAddressType()` Gets the address type for the messaging user who is represented by the sender.
    `java.lang.String` | `getSentRepresentingEmailAddress()` Gets the e-mail address for the messaging user who is represented by the sender.
    `byte[]` | `getSentRepresentingEntryId()` Gets the entry identifier for the messaging user represented by the sender.
    `java.lang.String` | `getSentRepresentingName()` Gets the display name for the messaging user represented by the sender.
    `byte[]` | `getSentRepresentingSearchKey()` Gets the search key for the messaging user represented by the sender.
    `long` | `getSize()` Gets the size of the body, subject, sender, and attachments.
    `java.lang.String` | `getSpouseName()` Gets the spouse name for the contact.
    `java.util.List<StoreSupportMask>` | `getStoreSupportMasks()` Gets values that client applications should query to determine the characteristics of a message store.
    `java.lang.String` | `getSubject()` Gets the full subject of a message.
    `java.lang.String` | `getSubjectPrefix()` Gets a subject prefix that typically indicates some action on a message, such as "FW: " for forwarding.
    `java.lang.String` | `getSurname()` Gets the last name for the contact.
    `TaskDelegationState` | `getTaskDelegationState()` Gets the delegation state of a task.
    `java.util.Date` | `getTaskDueDate()` Gets task's the due date and time.
    `TaskOwnership` | `getTaskOwnership()` Gets the ownership state of the task.
    `java.util.Date` | `getTaskStartDate()` Gets task's the start date and time.
    `TaskStatus` | `getTaskStatus()` Gets the status of the task.
    `java.lang.String` | `getTelex()` Gets the telex number for the contact.
    `java.lang.String` | `getTimeZone()` Gets appointment's time zone.
    `java.lang.String` | `getTitle()` Gets the title for the contact.
    `long` | `getTotalWork()` Gets the total work for the task.
    `java.lang.String` | `getTransportMessageHeaders()` Gets transport-specific message envelope information.
    `java.lang.String` | `getTtyTddPhone()` Gets the TTY/TDD telephone number for the contact.
    `java.util.Date` | `getWeddingAnniversary()` Gets the wedding anniversary date for the contact.
    `boolean` | `hasAttachment()` Gets true if a message contains at least one attachment, otherwise false.
    `boolean` | `isAllDayEvent()` Gets true if the appointment is all day event, otherwise false.
    `boolean` | `isComplete()` Gets true if the task is complete, otherwise false.
    `boolean` | `isEmbedded()` Gets true if Message is embedded into another message object, otherwise false.
    `boolean` | `isHidden()` Gets true if message is invisible.
    `boolean` | `isPrivate()` Gets true if message is marked as private.
    `boolean` | `isReadOnly()` Gets true if message is read only.
    `boolean` | `isRecurring()` Gets true if the task or appointment is recurring, otherwise false.
    `boolean` | `isReminderSet()` Gets true if a reminder has been set for this appointment, e-mail item, or task, otherwise false.
    `boolean` | `isSystem()` Gets true if message is system message.
    `boolean` | `isTeamTask()` Gets true if the task is a team task, otherwise false.
    `void` | `open(java.io.InputStream inputStream)` Loads message from the specified input stream.
    `void` | `open(java.lang.String filePath)` Loads message from the specified file.
    `void` | `save(java.io.OutputStream outputStream)` Saves this message to the specified stream.
    `void` | `save(java.lang.String filePath)` Saves this message to the specified file.
    `void` | `save(java.lang.String filePath, boolean overwrite)` Saves this message to the specified file.
    `void` | `setActualWork(long actualWork)` Sets the actual effort (in minutes) spent on the task.
    `void` | `setAllDayEvent(boolean isAllDayEvent)` Sets true if the appointment is all day event.
    `void` | `setAppointmentEndTime(java.util.Date appointmentEndTime)` Sets appointment's the end date and time.
    `void` | `setAppointmentMessageClass(java.lang.String appointmentMessageClass)` Sets appointment's message class.
    `void` | `setAppointmentStartTime(java.util.Date appointmentStartTime)` Sets appointment's the start date and time.
    `void` | `setAssistentName(java.lang.String assistentName)` Sets the name of assistent of the contact.
    `void` | `setAssistentPhone(java.lang.String assistentPhone)` Sets assistent's phone number of the contact.
    `void` | `setBillingInformation(java.lang.String billingInformation)` Sets the billing information associated with a message.
    `void` | `setBirthday(java.util.Date birthday)` Sets the birthday date for the contact.
    `void` | `setBody(java.lang.String body)` Sets the message text.
    `void` | `setBodyHtml(byte[] bodyHtml)` Sets the Hypertext Markup Language (HTML) version of the message text.
    `void` | `setBodyHtmlText(java.lang.String bodyHtmlText)` Sets the Hypertext Markup Language (HTML) version of the message text.
    `void` | `setBodyRtf(byte[] rtf)` Sets the Rich Text Format (RTF) version of the message text.
    `void` | `setBusinessAddress(java.lang.String businessAddress)` Sets the whole, unparsed business address for the contact.
    `void` | `setBusinessAddressCity(java.lang.String businessAddressCity)` Sets the city name portion of the business address for the contact.
    `void` | `setBusinessAddressCountry(java.lang.String businessAddressCountry)` Sets the country/region code portion of the business address for the contact.
    `void` | `setBusinessAddressPostalCode(java.lang.String businessAddressPostalCode)` Sets the postal code (zip code) portion of the business address for the contact.
    `void` | `setBusinessAddressPostOfficeBox(java.lang.String businessAddressPostOfficeBox)` Sets the post office box number portion of the business address for the contact.
    `void` | `setBusinessAddressState(java.lang.String businessAddressState)` Sets the state code portion of the business address for the contact.
    `void` | `setBusinessAddressStreet(java.lang.String businessAddressStreet)` Sets the street address portion of the business address for the contact.
    `void` | `setBusinessFax(java.lang.String businessFax)` Sets the business fax number for the contact.
    `void` | `setBusinessHomePage(java.lang.String businessHomePage)` Sets the url of the business Web page for the contact.
    `void` | `setBusinessPhone(java.lang.String businessPhone)` Sets the first business telephone number for the contact.
    `void` | `setBusinessPhone2(java.lang.String businessPhone2)` Sets the second business telephone number for the contact.
    `void` | `setBusyStatus(BusyStatus busyStatus)` Sets appointment's busy status.
    `void` | `setCallbackPhone(java.lang.String callbackPhone)` Sets the callback telephone number for the contact.
    `void` | `setCarPhone(java.lang.String carPhone)` Sets the car telephone number for the contact.
    `void` | `setCellularPhone(java.lang.String cellularPhone)` Sets the mobile telephone number for the contact.
    `void` | `setChangeKey(byte[] changeKey)` Sets a change key of a message.
    `void` | `setCharset(java.nio.charset.Charset charset)` Sets message charset.
    `void` | `setClientSubmitTime(java.util.Date clientSubmitTime)` Sets the date and time the message sender submitted a message.
    `void` | `setCommonEndTime(java.util.Date commonEndTime)` Sets the end date and time of a message.
    `void` | `setCommonStartTime(java.util.Date commonStartTime)` Sets the start date and time of a message.
    `void` | `setCompanyMainPhone(java.lang.String companyMainPhone)` Sets the company main telephone number for the contact.
    `void` | `setCompanyName(java.lang.String companyName)` Sets the company name for the contact.
    `void` | `setComplete(boolean isComplete)` Sets true if the task is complete.
    `void` | `setComputerNetworkName(java.lang.String computerNetworkName)` Sets the name of the computer network for the contact.
    `void` | `setContactHasPicture(boolean contactHasPicture)` Sets true if the contact has picture.
    `void` | `setConversationIndex(byte[] conversationIndex)` Sets a binary value that indicates the relative position of this message within a conversation thread.
    `void` | `setConversationTopic(java.lang.String conversationTopic)` Sets the topic of the first message in a conversation thread.
    `void` | `setCreationTime(java.util.Date creationTime)` Sets the creation date and time of a message.
    `void` | `setCreatorName(java.lang.String creatorName)` Sets name of the person who created message.
    `void` | `setCustomerId(java.lang.String customerId)` Sets the customer ID for the contact.
    `void` | `setDateCompleted(java.util.Date dateCompleted)` Sets the completion date of the task.
    `void` | `setDelegator(java.lang.String delegator)` Sets task's delegator name.
    `void` | `setDeliveryReportRequested(boolean deliveryReportRequested)` Sets the delivery report requested.
    `void` | `setDepartmentName(java.lang.String departmentName)` Sets the department name for the contact.
    `void` | `setDisableFullFidelity(boolean disableFullFidelity)` Sets the disable full fidelity.
    `void` | `setDisplayBcc(java.lang.String displayBcc)` Sets an ASCII list of the display names of any blind carbon copy (BCC) message recipients, separated by semicolons (;).
    `void` | `setDisplayCc(java.lang.String displayCc)` Sets an ASCII list of the display names of any carbon copy (CC) message recipients, separated by semicolons (;).
    `void` | `setDisplayName(java.lang.String displayName)` Sets display name.
    `void` | `setDisplayNamePrefix(java.lang.String displayNamePrefix)` Sets display name prefix.
    `void` | `setDisplayTo(java.lang.String displayTo)` Sets a list of the display names of the primary (To) message recipients, separated by semicolons (;).
    `void` | `setDuration(int duration)` Sets appointment's duration in minutes.
    `void` | `setEmail1Address(java.lang.String email1Address)` Sets the e-mail address of the first e-mail entry for the contact.
    `void` | `setEmail1DisplayAs(java.lang.String email1DisplayAs)` Sets the display as name of the first e-mail address for the contact.
    `void` | `setEmail1DisplayName(java.lang.String email1DisplayName)` Sets the display name of the first e-mail address for the contact.
    `void` | `setEmail1EntryId(byte[] email1EntryId)` Sets the entry ID of the first e-mail address for the contact.
    `void` | `setEmail1Type(java.lang.String email1Type)` Sets the type of the first e-mail address for the contact.
    `void` | `setEmail2Address(java.lang.String email2Address)` Sets the e-mail address of the second e-mail entry for the contact.
    `void` | `setEmail2DisplayAs(java.lang.String email2DisplayAs)` Sets the display as name of the second e-mail address for the contact.
    `void` | `setEmail2DisplayName(java.lang.String email2DisplayName)` Sets the display name of the second e-mail address for the contact.
    `void` | `setEmail2EntryId(byte[] email2EntryId)` Sets the entry ID of the second e-mail address for the contact.
    `void` | `setEmail2Type(java.lang.String email2Type)` Sets the type of the second e-mail address for the contact.
    `void` | `setEmail3Address(java.lang.String email3Address)` Sets the e-mail address of the third e-mail entry for the contact.
    `void` | `setEmail3DisplayAs(java.lang.String email3DisplayAs)` Sets the display as name of the third e-mail address for the contact.
    `void` | `setEmail3DisplayName(java.lang.String email3DisplayName)` Sets the display name of the third e-mail address for the contact.
    `void` | `setEmail3EntryId(byte[] email3EntryId)` Sets the entry ID of the third e-mail address for the contact.
    `void` | `setEmail3Type(java.lang.String email3Type)` Sets the type of the third e-mail address for the contact.
    `void` | `setEmbedded(boolean isEmbedded)` Sets true if Message is embedded into another message object.
    `void` | `setEncoding(Encoding encoding)` Sets message encoding.
    `void` | `setEntryId(byte[] entryId)` Sets a MAPI entry identifier used to open and edit properties of a particular MAPI object.
    `void` | `setFileAs(java.lang.String fileAs)` Sets the default keyword string assigned to the contact when it is filed.
    `void` | `setFlagDueBy(java.util.Date flagDueBy)` Sets the date and time specifying the date by which an e-mail message is due.
    `void` | `setFlagIcon(FlagIcon flagIcon)` Sets the flag icon of the message object.
    `void` | `setFlagStatus(FlagStatus flagStatus)` Sets the flag state of the message object.
    `void` | `setFtpSite(java.lang.String ftpSite)` Sets the FTP site entry for the contact.
    `void` | `setGeneration(java.lang.String generation)` Sets the generation for the contact.
    `void` | `setGivenName(java.lang.String givenName)` Sets the given name for the contact.
    `void` | `setGovernmentId(java.lang.String governmentId)` Sets the government ID number for the contact.
    `void` | `setGuid(byte[] guid)` Sets message's global unique id.
    `void` | `setHasAttachment(boolean hasAttachment)` Sets true if a message contains at least one attachment.
    `void` | `setHidden(boolean isHidden)` Sets true if message is invisible.
    `void` | `setHobbies(java.lang.String hobbies)` Sets the hobby names for the contact.
    `void` | `setHomeAddress(java.lang.String homeAddress)` Sets the whole, unparsed home address for the contact.
    `void` | `setHomeAddressCity(java.lang.String homeAddressCity)` Sets the city portion of the home address for the contact.
    `void` | `setHomeAddressCountry(java.lang.String homeAddressCountry)` Sets the country/region portion of the home address for the contact.
    `void` | `setHomeAddressPostalCode(java.lang.String homeAddressPostalCode)` Sets the postal code portion of the home address for the contact.
    `void` | `setHomeAddressPostOfficeBox(java.lang.String homeAddressPostOfficeBox)` Sets the post office box number portion of the home address for the contact.
    `void` | `setHomeAddressState(java.lang.String homeAddressState)` Gets the state portion of the home address for the contact.
    `void` | `setHomeAddressStreet(java.lang.String homeAddressStreet)` Sets the street portion of the home address for the contact.
    `void` | `setHomeFax(java.lang.String homeFax)` Sets the home fax number for the contact.
    `void` | `setHomePhone(java.lang.String homePhone)` Sets the first home telephone number for the contact.
    `void` | `setHomePhone2(java.lang.String homePhone2)` Sets the second home telephone number for the contact.
    `void` | `setIconIndex(long iconIndex)` Sets a number that indicates which icon to use when you display a group of e-mail objects.
    `void` | `setImportance(Importance importance)` Sets a value that indicates the message sender's opinion of the importance of a message.
    `void` | `setInitials(java.lang.String initials)` Sets the initials for the contact.
    `void` | `setInReplyTo(java.lang.String inReplyTo)` Sets identifier of the message to which this message is a reply.
    `void` | `setInstantMessengerAddress(java.lang.String instantMessengerAddress)` Sets the instant messenger address for the contact.
    `void` | `setInternetCodePage(long internetCodePage)` Sets the code page used for the Body or the BodyHtml properties.
    `void` | `setInternetFreeBusyAddress(java.lang.String internetFreeBusyAddress)` Sets the url location of the user's free-busy information in vCard Free-Busy standard format.
    `void` | `setInternetMessageId(java.lang.String internetMessageId)` Sets unique ID for the message.
    `void` | `setInternetReferences(java.lang.String internetReferences)` Sets Internet reference ID for the message..
    `void` | `setIsdn(java.lang.String isdn)` Sets the ISDN number for the contact.
    `void` | `setJournalDuration(long journalDuration)` Sets journal's the duration in minutes.
    `void` | `setJournalEndTime(java.util.Date journalEndTime)` Sets journal's the end date and time.
    `void` | `setJournalStartTime(java.util.Date journalStartTime)` Sets journal's the start date and time.
    `void` | `setJournalType(java.lang.String journalType)` Sets the type of the journal item.
    `void` | `setJournalTypeDescription(java.lang.String journalTypeDescription)` Sets the type description of the journal item.
    `void` | `setLabel(int label)` Sets appointment's label color.
    `void` | `setLastModificationTime(java.util.Date lastModificationTime)` Sets the date and time when the message was last modified.
    `void` | `setLastModifierName(java.lang.String lastModifierName)` Sets name of the person who modified message.
    `void` | `setLastVerbExecuted(LastVerbExecuted lastVerbExecuted)` Sets the last verb executed.
    `void` | `setLastVerbExecutionTime(java.util.Date lastVerbExecutionTime)` Sets the time when the last verb was executed.
    `void` | `setLocation(java.lang.String location)` Sets appointment's location.
    `void` | `setManagerName(java.lang.String managerName)` Sets the manager name for the contact.
    `void` | `setMeetingStatus(MeetingStatus meetingStatus)` Sets the status of the meeting.
    `void` | `setMessageClass(java.lang.String messageClass)` Sets a text string that identifies the sender-defined message class, such as IPM.Note.
    `void` | `setMessageCodePage(long messageCodePage)` Sets the code page that is used for the message.
    `void` | `setMessageDeliveryTime(java.util.Date messageDeliveryTime)` Sets the date and time when a message was delivered.
    `void` | `setMiddleName(java.lang.String middleName)` Sets the middle name for the contact.
    `void` | `setMileage(java.lang.String mileage)` Sets free-form string value and can be used to store mileage information associated with the message.
    `void` | `setNickname(java.lang.String nickname)` Sets the nickname for the contact.
    `void` | `setNormalizedSubject(java.lang.String normalizedSubject)` Sets the message subject with any prefix removed.
    `void` | `setNoteColor(NoteColor noteColor)` Sets background color of the note item.
    `void` | `setNoteHeight(long noteHeight)` Sets height of the note item.
    `void` | `setNoteLeft(long noteLeft)` Sets left position of the note item.
    `void` | `setNoteTop(long noteTop)` Sets top position of the note item.
    `void` | `setNoteWidth(long noteWidth)` Sets width of the note item.
    `void` | `setObjectType(ObjectType objectType)` Sets the type of an object.
    `void` | `setOfficeLocation(java.lang.String officeLocation)` Sets the specific office location for the contact.
    `void` | `setOriginalDisplayTo(java.lang.String originalDisplayTo)` Sets a list of the display names of the primary (To) message recipients, separated by semicolons (;).
    `void` | `setOtherAddress(java.lang.String otherAddress)` Sets the whole, unparsed other address for the contact.
    `void` | `setOtherAddressCity(java.lang.String otherAddressCity)` Sets the city portion of the other address for the contact.
    `void` | `setOtherAddressCountry(java.lang.String otherAddressCountry)` Sets the country/region portion of the other address for the contact.
    `void` | `setOtherAddressPostalCode(java.lang.String otherAddressPostalCode)` Sets the postal code portion of the other address for the contact.
    `void` | `setOtherAddressState(java.lang.String otherAddressState)` Sets the state portion of the other address for the contact.
    `void` | `setOtherAddressStreet(java.lang.String otherAddressStreet)` Sets the street portion of the other address for the contact.
    `void` | `setOtherPhone(java.lang.String otherPhone)` Sets the other telephone number for the contact.
    `void` | `setOutlookInternalVersion(long outlookInternalVersion)` Sets internal version number of Microsoft Office Outlook client.
    `void` | `setOutlookVersion(java.lang.String outlookVersion)` Sets version number of Microsoft Office Outlook client.
    `void` | `setOwner(java.lang.String owner)` Sets task's owner name.
    `void` | `setPager(java.lang.String pager)` Sets the pager number for the contact.
    `void` | `setPercentComplete(double percentComplete)` Sets the percentage of the task completed at the current date and time.
    `void` | `setPersonalHomePage(java.lang.String personalHomePage)` Sets the url of the personal Web page for the contact.
    `void` | `setPostalAddress(java.lang.String postalAddress)` Sets the postal address for the contact.
    `void` | `setPrimaryFax(java.lang.String primaryFax)` Sets the primary fax number for the contact.
    `void` | `setPrimaryPhone(java.lang.String primaryPhone)` Sets the primary telephone number for the contact.
    `void` | `setPriority(Priority priority)` Sets the relative priority of a message.
    `void` | `setPrivate(boolean isPrivate)` Sets true if message is marked as private.
    `void` | `setProfession(java.lang.String profession)` Gets the profession for the contact.
    `void` | `setProviderSubmitTime(java.util.Date providerSubmitTime)` Sets the date and time the message provider submitted a message.
    `void` | `setRadioPhone(java.lang.String radioPhone)` Sets the radio telephone number for the contact.
    `void` | `setReadOnly(boolean isReadOnly)` Sets true if message is read only.
    `void` | `setReadReceiptEntryId(byte[] readReceiptEntryId)` Sets the read receipt entry id.
    `void` | `setReadReceiptRequested(boolean readReceiptRequested)` Sets the read receipt requested.
    `void` | `setReadReceiptSearchKey(byte[] readReceiptSearchKey)` Sets the read receipt search key.
    `void` | `setReceivedByAddressType(java.lang.String receivedByAddressType)` Sets the e-mail address type, such as SMTP, for the messaging user who actually receives the message.
    `void` | `setReceivedByEmailAddress(java.lang.String receivedByEmailAddress)` Sets the e-mail address for the messaging user who receives the message.
    `void` | `setReceivedByEntryId(byte[] receivedByEntryId)` Sets the entry identifier of the messaging user who actually receives the message.
    `void` | `setReceivedByName(java.lang.String receivedByName)` Sets the display name of the messaging user who receives the message.
    `void` | `setReceivedBySearchKey(byte[] receivedBySearchKey)` Sets the search key of the messaging user who receives the message.
    `void` | `setReceivedRepresentingAddressType(java.lang.String receivedRepresentingAddressType)` Sets the address type for the messaging user who is represented by the user actually receiving the message.
    `void` | `setReceivedRepresentingEmailAddress(java.lang.String receivedRepresentingEmailAddress)` Sets the e-mail address for the messaging user who is represented by the receiving user.
    `void` | `setReceivedRepresentingEntryId(byte[] receivedRepresentingEntryId)` Sets the entry identifier for the messaging user who is represented by the receiving user.
    `void` | `setReceivedRepresentingName(java.lang.String receivedRepresentingName)` Sets the display name for the messaging user who is represented by the receiving user.
    `void` | `setReceivedRepresentingSearchKey(byte[] receivedRepresentingSearchKey)` Sets the search key for the messaging user represented by the receiving user.
    `void` | `setRecurrencePattern(java.lang.String recurrencePattern)` Sets appointment's recurring pattern.
    `void` | `setRecurrenceType(RecurrenceType recurrenceType)` Sets the recurrence pattern type.
    `void` | `setRecurring(boolean isRecurring)` Sets true if the task or appointment is recurring.
    `void` | `setReminderMinutesBeforeStart(long reminderMinutesBeforeStart)` Sets the number of minutes the reminder should occur prior to the start of the appointment.
    `void` | `setReminderOverrideDefault(boolean reminderOverrideDefault)` Sets true if the reminder overrides the default reminder behavior for the appointment, mail item, or task.
    `void` | `setReminderPlaySound(boolean reminderPlaySound)` Gets true if the reminder should play a sound when it occurs for this appointment or task.
    `void` | `setReminderSet(boolean isReminderSet)` Sets true if a reminder has been set for this appointment, e-mail item, or task.
    `void` | `setReminderSoundFile(java.lang.String reminderSoundFile)` Sets the path and file name of the sound file to play when the reminder occurs for the appointment, mail message, or task.
    `void` | `setReminderTime(java.util.Date reminderTime)` Sets the date and time at which the reminder should occur for the specified item.
    `void` | `setReplyTo(java.lang.String replyTo)` Sets reply to email address.
    `void` | `setReportText(java.lang.String reportText)` Sets report text.
    `void` | `setReportTime(java.util.Date reportTime)` Sets the report date and time.
    `void` | `setResponseStatus(ResponseStatus responseStatus)` Sets the response to a meeting request.
    `void` | `setRtfCompressed(byte[] rtfCompressed)` Sets the Rich Text Format (RTF) version of the message text, usually in compressed form.
    `void` | `setRtfInSync(boolean rtfInSync)` Sets true if the getRtfCompressed() has the same text content as the getBody() for this message, otherwise false.
    `void` | `setSearchKey(byte[] searchKey)` Sets a binary-comparable key that identifies correlated objects for a search.
    `void` | `setSelectedMailingAddress(SelectedMailingAddress selectedMailingAddress)` Sets the type of the mailing address for the contact.
    `void` | `setSenderAddressType(java.lang.String senderAddressType)` Sets the message sender's e-mail address type.
    `void` | `setSenderEmailAddress(java.lang.String senderEmailAddress)` Sets the message sender's e-mail address.
    `void` | `setSenderEntryId(byte[] senderEntryId)` Sets the message sender's entry identifier.
    `void` | `setSenderName(java.lang.String senderName)` Sets the message sender's display name.
    `void` | `setSenderSearchKey(byte[] senderSearchKey)` Sets the message sender's search key.
    `void` | `setSensitivity(Sensitivity sensitivity)` Sets a value that indicates the message sender's opinion of the sensitivity of a message.
    `void` | `setSentRepresentingAddressType(java.lang.String sentRepresentingAddressType)` Sets the address type for the messaging user who is represented by the sender.
    `void` | `setSentRepresentingEmailAddress(java.lang.String sentRepresentingEmailAddress)` Sets the e-mail address for the messaging user who is represented by the sender.
    `void` | `setSentRepresentingEntryId(byte[] sentRepresentingEntryId)` Sets the entry identifier for the messaging user represented by the sender.
    `void` | `setSentRepresentingName(java.lang.String sentRepresentingName)` Sets the display name for the messaging user represented by the sender.
    `void` | `setSentRepresentingSearchKey(byte[] sentRepresentingSearchKey)` Sets the search key for the messaging user represented by the sender.
    `void` | `setSize(long messageSize)` Sets the size of the body, subject, sender, and attachments.
    `void` | `setSpouseName(java.lang.String spouseName)` Sets the spouse name for the contact.
    `void` | `setSubject(java.lang.String subject)` Sets the full subject of a message.
    `void` | `setSubjectPrefix(java.lang.String subjectPrefix)` Sets a subject prefix that typically indicates some action on a message, such as "FW: " for forwarding.
    `void` | `setSurname(java.lang.String surname)` Sets the last name for the contact.
    `void` | `setSystem(boolean isSystem)` Sets true if message is system message.
    `void` | `setTaskDelegationState(TaskDelegationState taskDelegationState)` Sets the delegation state of a task.
    `void` | `setTaskDueDate(java.util.Date taskDueDate)` Sets task's the due date and time.
    `void` | `setTaskOwnership(TaskOwnership taskOwnership)` Sets the ownership state of the task.
    `void` | `setTaskStartDate(java.util.Date taskStartDate)` Sets task's the start date and time.
    `void` | `setTaskStatus(TaskStatus taskStatus)` Sets the status of the task.
    `void` | `setTeamTask(boolean isTeamTask)` Sets true if the task is a team task.
    `void` | `setTelex(java.lang.String telex)` Sets the telex number for the contact.
    `void` | `setTimeZone(java.lang.String timeZone)` Sets appointment's time zone.
    `void` | `setTitle(java.lang.String title)` Sets the title for the contact.
    `void` | `setTotalWork(long totalWork)` Sets the total work for the task.
    `void` | `setTransportMessageHeaders(java.lang.String transportMessageHeaders)` Sets transport-specific message envelope information.
    `void` | `setTtyTddPhone(java.lang.String ttyTddPhone)` Sets the TTY/TDD telephone number for the contact.
    `void` | `setWeddingAnniversary(java.util.Date weddingAnniversary)` Sets the wedding anniversary date for the contact.
    `byte[]` | `toByteArray()` Gets bytes to read from this message.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

      Initializes a new instance of the Message class.

    - #### Message

          public Message(java.lang.String filePath)
                  throws java.io.IOException

      Initializes a new instance of the Message class based on the supplied file.
      Parameters:
        `filePath` - the file path
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### Message

          public Message(java.io.InputStream inputStream)
                  throws java.io.IOException

      Initializes a new instance of the Message class based on the supplied stream.
      Parameters:
        `inputStream` - the input stream
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

  - ### Method Detail

    - #### open

          public void open(java.lang.String filePath)
                    throws java.io.IOException

      Loads message from the specified file.
      Parameters:
        `filePath` - the file path
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### open

          public void open(java.io.InputStream inputStream)
                    throws java.io.IOException

      Loads message from the specified input stream.
      Parameters:
        `inputStream` - the input stream
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Gets stream to read from this message.
      Returns:
        the input stream
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### toByteArray

          public byte[] toByteArray()
                             throws java.io.IOException

      Gets bytes to read from this message.
      Returns:
        the byte[]
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### save

          public void save(java.lang.String filePath)
                    throws java.io.IOException

      Saves this message to the specified file.
      Parameters:
        `filePath` - the file path
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### save

          public void save(java.lang.String filePath,
                           boolean overwrite)
                    throws java.io.IOException

      Saves this message to the specified file.
      Parameters:
        `filePath` - the file path
        `overwrite` - if true overwrites an existing file with the same path.
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### save

          public void save(java.io.OutputStream outputStream)
                    throws java.io.IOException

      Saves this message to the specified stream.
      Parameters:
        `outputStream` - the output stream
      Throws:
        `java.io.IOException` - Signals that an I/O exception has occurred.

    - #### getCharset

          public java.nio.charset.Charset getCharset()

      Gets message charset. Default is UTF8 charset.
      Returns:
        the charset

    - #### setCharset

          public void setCharset(java.nio.charset.Charset charset)

      Sets message charset. Default is UTF8 charset.
      Parameters:
        `charset` - the new charset

    - #### getEncoding

          public Encoding getEncoding()

      Gets message encoding. Default is UTF8 encoding.
      Returns:
        the encoding

    - #### setEncoding

          public void setEncoding(Encoding encoding)

      Sets message encoding. Default is UTF8 encoding.
      Parameters:
        `encoding` - the new encoding

    - #### getMessageClass

          public java.lang.String getMessageClass()

      Gets a text string that identifies the sender-defined message class, such as IPM.Note.
      Returns:
        the message class

    - #### setMessageClass

          public void setMessageClass(java.lang.String messageClass)

      Sets a text string that identifies the sender-defined message class, such as IPM.Note.
      Parameters:
        `messageClass` - the new message class

    - #### getSubject

          public java.lang.String getSubject()

      Gets the full subject of a message.
      Returns:
        the subject

    - #### setSubject

          public void setSubject(java.lang.String subject)

      Sets the full subject of a message.
      Parameters:
        `subject` - the new subject

    - #### getSubjectPrefix

          public java.lang.String getSubjectPrefix()

      Gets a subject prefix that typically indicates some action on a message, such as "FW: " for forwarding.
      Returns:
        the subject prefix

    - #### setSubjectPrefix

          public void setSubjectPrefix(java.lang.String subjectPrefix)

      Sets a subject prefix that typically indicates some action on a message, such as "FW: " for forwarding.
      Parameters:
        `subjectPrefix` - the new subject prefix

    - #### getConversationTopic

          public java.lang.String getConversationTopic()

      Gets the topic of the first message in a conversation thread. A conversation thread represents a series of messages and replies. These properties are set for the first message in a thread, usually to the getNormalizedSubject() Subsequent messages in the thread should use the same topic without modification.
      Returns:
        the conversation topic

    - #### setConversationTopic

          public void setConversationTopic(java.lang.String conversationTopic)

      Sets the topic of the first message in a conversation thread. A conversation thread represents a series of messages and replies. These properties are set for the first message in a thread, usually to the getNormalizedSubject(). Subsequent messages in the thread should use the same topic without modification.
      Parameters:
        `conversationTopic` - the new conversation topic

    - #### getDisplayBcc

          public java.lang.String getDisplayBcc()

      Gets an ASCII list of the display names of any blind carbon copy (BCC) message recipients, separated by semicolons (;).
      Returns:
        the display bcc

    - #### setDisplayBcc

          public void setDisplayBcc(java.lang.String displayBcc)

      Sets an ASCII list of the display names of any blind carbon copy (BCC) message recipients, separated by semicolons (;).
      Parameters:
        `displayBcc` - the new display bcc

    - #### getDisplayCc

          public java.lang.String getDisplayCc()

      Gets an ASCII list of the display names of any carbon copy (CC) message recipients, separated by semicolons (;).
      Returns:
        the display cc

    - #### setDisplayCc

          public void setDisplayCc(java.lang.String displayCc)

      Sets an ASCII list of the display names of any carbon copy (CC) message recipients, separated by semicolons (;).
      Parameters:
        `displayCc` - the new display cc

    - #### getDisplayTo

          public java.lang.String getDisplayTo()

      Gets a list of the display names of the primary (To) message recipients, separated by semicolons (;).
      Returns:
        the display to

    - #### setDisplayTo

          public void setDisplayTo(java.lang.String displayTo)

      Sets a list of the display names of the primary (To) message recipients, separated by semicolons (;).
      Parameters:
        `displayTo` - the new display to

    - #### getOriginalDisplayTo

          public java.lang.String getOriginalDisplayTo()

      Gets a list of the display names of the primary (To) message recipients, separated by semicolons (;).
      Returns:
        the original display to

    - #### setOriginalDisplayTo

          public void setOriginalDisplayTo(java.lang.String originalDisplayTo)

      Sets a list of the display names of the primary (To) message recipients, separated by semicolons (;).
      Parameters:
        `originalDisplayTo` - the new original display to

    - #### getReplyTo

          public java.lang.String getReplyTo()

      Gets reply to email address.
      Returns:
        the reply to

    - #### setReplyTo

          public void setReplyTo(java.lang.String replyTo)

      Sets reply to email address.
      Parameters:
        `replyTo` - the new reply to

    - #### getNormalizedSubject

          public java.lang.String getNormalizedSubject()

      Gets the message subject with any prefix removed.
      Returns:
        the normalized subject

    - #### setNormalizedSubject

          public void setNormalizedSubject(java.lang.String normalizedSubject)

      Sets the message subject with any prefix removed.
      Parameters:
        `normalizedSubject` - the new normalized subject

    - #### getBody

          public java.lang.String getBody()

      Gets the message text.
      Returns:
        the body

    - #### setBody

          public void setBody(java.lang.String body)

      Sets the message text.
      Parameters:
        `body` - the new body

    - #### getBodyRtf

          public byte[] getBodyRtf()

      Gets the Rich Text Format (RTF) version of the message text.
      Returns:
        the body rtf

    - #### setBodyRtf

          public void setBodyRtf(byte[] rtf)

      Sets the Rich Text Format (RTF) version of the message text.
      Parameters:
        `rtf` - the new body rtf

    - #### getRtfCompressed

          public byte[] getRtfCompressed()

      Gets the Rich Text Format (RTF) version of the message text, usually in compressed form.
      Returns:
        the rtf compressed

    - #### setRtfCompressed

          public void setRtfCompressed(byte[] rtfCompressed)

      Sets the Rich Text Format (RTF) version of the message text, usually in compressed form.
      Parameters:
        `rtfCompressed` - the new rtf compressed

    - #### getSearchKey

          public byte[] getSearchKey()

      Gets a binary-comparable key that identifies correlated objects for a search.
      Returns:
        the search key

    - #### setSearchKey

          public void setSearchKey(byte[] searchKey)

      Sets a binary-comparable key that identifies correlated objects for a search.
      Parameters:
        `searchKey` - the new search key

    - #### getChangeKey

          public byte[] getChangeKey()

      Gest a change key of a message.
      Returns:
        the change key

    - #### setChangeKey

          public void setChangeKey(byte[] changeKey)

      Sets a change key of a message.
      Parameters:
        `changeKey` - the new change key

    - #### getEntryId

          public byte[] getEntryId()

      Gets a MAPI entry identifier used to open and edit properties of a particular MAPI object.
      Returns:
        the entry id

    - #### setEntryId

          public void setEntryId(byte[] entryId)

      Sets a MAPI entry identifier used to open and edit properties of a particular MAPI object.
      Parameters:
        `entryId` - the new entry id

    - #### getReadReceiptEntryId

          public byte[] getReadReceiptEntryId()

      Gets the read receipt entry id.
      Returns:
        the read receipt entry id

    - #### setReadReceiptEntryId

          public void setReadReceiptEntryId(byte[] readReceiptEntryId)

      Sets the read receipt entry id.
      Parameters:
        `readReceiptEntryId` - the new read receipt entry id

    - #### getReadReceiptSearchKey

          public byte[] getReadReceiptSearchKey()

      Gets the read receipt search key.
      Returns:
        the read receipt search key

    - #### setReadReceiptSearchKey

          public void setReadReceiptSearchKey(byte[] readReceiptSearchKey)

      Sets the read receipt search key.
      Parameters:
        `readReceiptSearchKey` - the new read receipt search key

    - #### getCreationTime

          public java.util.Date getCreationTime()

      Gets the creation date and time of a message. A message store sets this time for each message that it creates.
      Returns:
        the creation time

    - #### setCreationTime

          public void setCreationTime(java.util.Date creationTime)

      Sets the creation date and time of a message. A message store sets this time for each message that it creates.
      Parameters:
        `creationTime` - the new creation time

    - #### getLastModificationTime

          public java.util.Date getLastModificationTime()

      Gets the date and time when the message was last modified. This field is initially set to the same value as the getCreationTime().
      Returns:
        the last modification time

    - #### setLastModificationTime

          public void setLastModificationTime(java.util.Date lastModificationTime)

      Sets the date and time when the message was last modified. This field is initially set to the same value as the getCreationTime().
      Parameters:
        `lastModificationTime` - the new last modification time

    - #### getMessageDeliveryTime

          public java.util.Date getMessageDeliveryTime()

      Gets the date and time when a message was delivered. Describes the time the message was stored at the server, rather than the download time when the transport provider copied the message from the server to the local store.
      Returns:
        the message delivery time

    - #### setMessageDeliveryTime

          public void setMessageDeliveryTime(java.util.Date messageDeliveryTime)

      Sets the date and time when a message was delivered. Describes the time the message was stored at the server, rather than the download time when the transport provider copied the message from the server to the local store.
      Parameters:
        `messageDeliveryTime` - the new message delivery time

    - #### getClientSubmitTime

          public java.util.Date getClientSubmitTime()

      Gets the date and time the message sender submitted a message.
      Returns:
        the client submit time

    - #### setClientSubmitTime

          public void setClientSubmitTime(java.util.Date clientSubmitTime)

      Sets the date and time the message sender submitted a message.
      Parameters:
        `clientSubmitTime` - the new client submit time

    - #### getProviderSubmitTime

          public java.util.Date getProviderSubmitTime()

      Gets the date and time the message provider submitted a message.
      Returns:
        the provider submit time

    - #### setProviderSubmitTime

          public void setProviderSubmitTime(java.util.Date providerSubmitTime)

      Sets the date and time the message provider submitted a message.
      Parameters:
        `providerSubmitTime` - the new provider submit time

    - #### getReportTime

          public java.util.Date getReportTime()

      Gets the report date and time.
      Returns:
        the report time

    - #### setReportTime

          public void setReportTime(java.util.Date reportTime)

      Sets the report date and time.
      Parameters:
        `reportTime` - the new report time

    - #### getLastVerbExecutionTime

          public java.util.Date getLastVerbExecutionTime()

      Gets the time when the last verb was executed.
      Returns:
        the last verb execution time

    - #### setLastVerbExecutionTime

          public void setLastVerbExecutionTime(java.util.Date lastVerbExecutionTime)

      Sets the time when the last verb was executed.
      Parameters:
        `lastVerbExecutionTime` - the new last verb execution time

    - #### getReportText

          public java.lang.String getReportText()

      Gets report text.
      Returns:
        the report text

    - #### setReportText

          public void setReportText(java.lang.String reportText)

      Sets report text.
      Parameters:
        `reportText` - the new report text

    - #### getCreatorName

          public java.lang.String getCreatorName()

      Gets name of the person who created message.
      Returns:
        the creator name

    - #### setCreatorName

          public void setCreatorName(java.lang.String creatorName)

      Sets name of the person who created message.
      Parameters:
        `creatorName` - the new creator name

    - #### getLastModifierName

          public java.lang.String getLastModifierName()

      Gest name of the person who modified message.
      Returns:
        the last modifier name

    - #### setLastModifierName

          public void setLastModifierName(java.lang.String lastModifierName)

      Sets name of the person who modified message.
      Parameters:
        `lastModifierName` - the new last modifier name

    - #### getInternetMessageId

          public java.lang.String getInternetMessageId()

      Gets unique ID for the message.
      Returns:
        the internet message id

    - #### setInternetMessageId

          public void setInternetMessageId(java.lang.String internetMessageId)

      Sets unique ID for the message.
      Parameters:
        `internetMessageId` - the new internet message id

    - #### getInReplyTo

          public java.lang.String getInReplyTo()

      Gets identifier of the message to which this message is a reply.
      Returns:
        the in reply to

    - #### setInReplyTo

          public void setInReplyTo(java.lang.String inReplyTo)

      Sets identifier of the message to which this message is a reply.
      Parameters:
        `inReplyTo` - the new in reply to

    - #### getInternetReferences

          public java.lang.String getInternetReferences()

      Gets Internet reference ID for the message..
      Returns:
        the internet references

    - #### setInternetReferences

          public void setInternetReferences(java.lang.String internetReferences)

      Sets Internet reference ID for the message..
      Parameters:
        `internetReferences` - the new internet references

    - #### getMessageCodePage

          public long getMessageCodePage()

      Gets the code page that is used for the message.
      Returns:
        the message code page

    - #### setMessageCodePage

          public void setMessageCodePage(long messageCodePage)

      Sets the code page that is used for the message.
      Parameters:
        `messageCodePage` - the new message code page

    - #### getIconIndex

          public long getIconIndex()

      Gets a number that indicates which icon to use when you display a group of e-mail objects.
      Returns:
        the icon index

    - #### setIconIndex

          public void setIconIndex(long iconIndex)

      Sets a number that indicates which icon to use when you display a group of e-mail objects.
      Parameters:
        `iconIndex` - the new icon index

    - #### getSize

          public long getSize()

      Gets the size of the body, subject, sender, and attachments.
      Returns:
        the size

    - #### setSize

          public void setSize(long messageSize)

      Sets the size of the body, subject, sender, and attachments.
      Parameters:
        `messageSize` - the new size

    - #### getInternetCodePage

          public long getInternetCodePage()

      Gets the code page used for the Body or the BodyHtml properties.
      Returns:
        the internet code page

    - #### setInternetCodePage

          public void setInternetCodePage(long internetCodePage)

      Sets the code page used for the Body or the BodyHtml properties.
      Parameters:
        `internetCodePage` - the new internet code page

    - #### getConversationIndex

          public byte[] getConversationIndex()

      Gets a binary value that indicates the relative position of this message within a conversation thread.
      Returns:
        the conversation index

    - #### setConversationIndex

          public void setConversationIndex(byte[] conversationIndex)

      Sets a binary value that indicates the relative position of this message within a conversation thread.
      Parameters:
        `conversationIndex` - the new conversation index

    - #### isHidden

          public boolean isHidden()

      Gets true if message is invisible.
      Returns:
        true, if is hidden

    - #### setHidden

          public void setHidden(boolean isHidden)

      Sets true if message is invisible.
      Parameters:
        `isHidden` - the new hidden

    - #### isReadOnly

          public boolean isReadOnly()

      Gets true if message is read only.
      Returns:
        true, if is read only

    - #### setReadOnly

          public void setReadOnly(boolean isReadOnly)

      Sets true if message is read only.
      Parameters:
        `isReadOnly` - the new read only

    - #### isSystem

          public boolean isSystem()

      Gets true if message is system message.
      Returns:
        true, if is system

    - #### setSystem

          public void setSystem(boolean isSystem)

      Sets true if message is system message.
      Parameters:
        `isSystem` - the new system

    - #### getDisableFullFidelity

          public boolean getDisableFullFidelity()

      Gets the disable full fidelity.
      Returns:
        the disable full fidelity

    - #### setDisableFullFidelity

          public void setDisableFullFidelity(boolean disableFullFidelity)

      Sets the disable full fidelity.
      Parameters:
        `disableFullFidelity` - the new disable full fidelity

    - #### hasAttachment

          public boolean hasAttachment()

      Gets true if a message contains at least one attachment, otherwise false.
      Returns:
        true, if successful

    - #### setHasAttachment

          public void setHasAttachment(boolean hasAttachment)

      Sets true if a message contains at least one attachment.
      Parameters:
        `hasAttachment` - the new checks for attachment

    - #### getRtfInSync

          public boolean getRtfInSync()

      Gets true if the getRtfCompressed() has the same text content as the getBody() for this message, otherwise false.
      Returns:
        the rtf in sync

    - #### setRtfInSync

          public void setRtfInSync(boolean rtfInSync)

      Sets true if the getRtfCompressed() has the same text content as the getBody() for this message, otherwise false.
      Parameters:
        `rtfInSync` - the new rtf in sync

    - #### getReadReceiptRequested

          public boolean getReadReceiptRequested()

      Gets the read receipt requested.
      Returns:
        the read receipt requested

    - #### setReadReceiptRequested

          public void setReadReceiptRequested(boolean readReceiptRequested)

      Sets the read receipt requested.
      Parameters:
        `readReceiptRequested` - the new read receipt requested

    - #### getDeliveryReportRequested

          public boolean getDeliveryReportRequested()

      Gets the delivery report requested.
      Returns:
        the delivery report requested

    - #### setDeliveryReportRequested

          public void setDeliveryReportRequested(boolean deliveryReportRequested)

      Sets the delivery report requested.
      Parameters:
        `deliveryReportRequested` - the new delivery report requested

    - #### getBodyHtml

          public byte[] getBodyHtml()

      Gets the Hypertext Markup Language (HTML) version of the message text.
      Returns:
        the body html

    - #### setBodyHtml

          public void setBodyHtml(byte[] bodyHtml)

      Sets the Hypertext Markup Language (HTML) version of the message text.
      Parameters:
        `bodyHtml` - the new body html

    - #### getBodyHtmlText

          public java.lang.String getBodyHtmlText()

      Gets the Hypertext Markup Language (HTML) version of the message text.
      Returns:
        the body html text

    - #### setBodyHtmlText

          public void setBodyHtmlText(java.lang.String bodyHtmlText)

      Sets the Hypertext Markup Language (HTML) version of the message text.
      Parameters:
        `bodyHtmlText` - the new body html text

    - #### getSensitivity

          public Sensitivity getSensitivity()

      Gets a value that indicates the message sender's opinion of the sensitivity of a message.
      Returns:
        the sensitivity

    - #### setSensitivity

          public void setSensitivity(Sensitivity sensitivity)

      Sets a value that indicates the message sender's opinion of the sensitivity of a message.
      Parameters:
        `sensitivity` - the new sensitivity

    - #### getLastVerbExecuted

          public LastVerbExecuted getLastVerbExecuted()

      Gets the last verb executed.
      Returns:
        the last verb executed

    - #### setLastVerbExecuted

          public void setLastVerbExecuted(LastVerbExecuted lastVerbExecuted)

      Sets the last verb executed.
      Parameters:
        `lastVerbExecuted` - the new last verb executed

    - #### getImportance

          public Importance getImportance()

      Gets a value that indicates the message sender's opinion of the importance of a message.
      Returns:
        the importance

    - #### setImportance

          public void setImportance(Importance importance)

      Sets a value that indicates the message sender's opinion of the importance of a message.
      Parameters:
        `importance` - the new importance

    - #### getPriority

          public Priority getPriority()

      Gets the relative priority of a message. Importance indicates a value to users, while priority indicates the order or speed at which the message should be sent by the messaging system software. Higher priority usually indicates a higher cost. Higher importance usually is associated with a different display by the user interface.
      Returns:
        the priority

    - #### setPriority

          public void setPriority(Priority priority)

      Sets the relative priority of a message. Importance indicates a value to users, while priority indicates the order or speed at which the message should be sent by the messaging system software. Higher priority usually indicates a higher cost. Higher importance usually is associated with a different display by the user interface.
      Parameters:
        `priority` - the new priority

    - #### getFlagIcon

          public FlagIcon getFlagIcon()

      Gets the flag icon of the message object.
      Returns:
        the flag icon

    - #### setFlagIcon

          public void setFlagIcon(FlagIcon flagIcon)

      Sets the flag icon of the message object.
      Parameters:
        `flagIcon` - the new flag icon

    - #### getFlagStatus

          public FlagStatus getFlagStatus()

      Gets the flag state of the message object.
      Returns:
        the flag status

    - #### setFlagStatus

          public void setFlagStatus(FlagStatus flagStatus)

      Sets the flag state of the message object.
      Parameters:
        `flagStatus` - the new flag status

    - #### getObjectType

          public ObjectType getObjectType()

      Gets the type of an object.
      Returns:
        the object type

    - #### setObjectType

          public void setObjectType(ObjectType objectType)

      Sets the type of an object.
      Parameters:
        `objectType` - the new object type

    - #### getReceivedRepresentingAddressType

          public java.lang.String getReceivedRepresentingAddressType()

      Gets the address type for the messaging user who is represented by the user actually receiving the message.
      Returns:
        the received representing address type

    - #### setReceivedRepresentingAddressType

          public void setReceivedRepresentingAddressType(java.lang.String receivedRepresentingAddressType)

      Sets the address type for the messaging user who is represented by the user actually receiving the message.
      Parameters:
        `receivedRepresentingAddressType` - the new received representing address type

    - #### getReceivedRepresentingEmailAddress

          public java.lang.String getReceivedRepresentingEmailAddress()

      Gets the e-mail address for the messaging user who is represented by the receiving user.
      Returns:
        the received representing email address

    - #### setReceivedRepresentingEmailAddress

          public void setReceivedRepresentingEmailAddress(java.lang.String receivedRepresentingEmailAddress)

      Sets the e-mail address for the messaging user who is represented by the receiving user.
      Parameters:
        `receivedRepresentingEmailAddress` - the new received representing email address

    - #### getReceivedRepresentingEntryId

          public byte[] getReceivedRepresentingEntryId()

      Gets the entry identifier for the messaging user who is represented by the receiving user.
      Returns:
        the received representing entry id

    - #### setReceivedRepresentingEntryId

          public void setReceivedRepresentingEntryId(byte[] receivedRepresentingEntryId)

      Sets the entry identifier for the messaging user who is represented by the receiving user.
      Parameters:
        `receivedRepresentingEntryId` - the new received representing entry id

    - #### getReceivedRepresentingName

          public java.lang.String getReceivedRepresentingName()

      Gets the display name for the messaging user who is represented by the receiving user.
      Returns:
        the received representing name

    - #### setReceivedRepresentingName

          public void setReceivedRepresentingName(java.lang.String receivedRepresentingName)

      Sets the display name for the messaging user who is represented by the receiving user.
      Parameters:
        `receivedRepresentingName` - the new received representing name

    - #### getReceivedRepresentingSearchKey

          public byte[] getReceivedRepresentingSearchKey()

      Gets the search key for the messaging user represented by the receiving user.
      Returns:
        the received representing search key

    - #### setReceivedRepresentingSearchKey

          public void setReceivedRepresentingSearchKey(byte[] receivedRepresentingSearchKey)

      Sets the search key for the messaging user represented by the receiving user.
      Parameters:
        `receivedRepresentingSearchKey` - the new received representing search key

    - #### getReceivedByAddressType

          public java.lang.String getReceivedByAddressType()

      Gets the e-mail address type, such as SMTP, for the messaging user who actually receives the message.
      Returns:
        the received by address type

    - #### setReceivedByAddressType

          public void setReceivedByAddressType(java.lang.String receivedByAddressType)

      Sets the e-mail address type, such as SMTP, for the messaging user who actually receives the message.
      Parameters:
        `receivedByAddressType` - the new received by address type

    - #### getReceivedByEmailAddress

          public java.lang.String getReceivedByEmailAddress()

      Gets the e-mail address for the messaging user who receives the message.
      Returns:
        the received by email address

    - #### setReceivedByEmailAddress

          public void setReceivedByEmailAddress(java.lang.String receivedByEmailAddress)

      Sets the e-mail address for the messaging user who receives the message.
      Parameters:
        `receivedByEmailAddress` - the new received by email address

    - #### getReceivedByEntryId

          public byte[] getReceivedByEntryId()

      Gets the entry identifier of the messaging user who actually receives the message.
      Returns:
        the received by entry id

    - #### setReceivedByEntryId

          public void setReceivedByEntryId(byte[] receivedByEntryId)

      Sets the entry identifier of the messaging user who actually receives the message.
      Parameters:
        `receivedByEntryId` - the new received by entry id

    - #### getReceivedByName

          public java.lang.String getReceivedByName()

      Gets the display name of the messaging user who receives the message.
      Returns:
        the received by name

    - #### setReceivedByName

          public void setReceivedByName(java.lang.String receivedByName)

      Sets the display name of the messaging user who receives the message.
      Parameters:
        `receivedByName` - the new received by name

    - #### getReceivedBySearchKey

          public byte[] getReceivedBySearchKey()

      Gets the search key of the messaging user who receives the message.
      Returns:
        the received by search key

    - #### setReceivedBySearchKey

          public void setReceivedBySearchKey(byte[] receivedBySearchKey)

      Sets the search key of the messaging user who receives the message.
      Parameters:
        `receivedBySearchKey` - the new received by search key

    - #### getSenderAddressType

          public java.lang.String getSenderAddressType()

      Gets the message sender's e-mail address type.
      Returns:
        the sender address type

    - #### setSenderAddressType

          public void setSenderAddressType(java.lang.String senderAddressType)

      Sets the message sender's e-mail address type.
      Parameters:
        `senderAddressType` - the new sender address type

    - #### getSenderEmailAddress

          public java.lang.String getSenderEmailAddress()

      Gets the message sender's e-mail address.
      Returns:
        the sender email address

    - #### setSenderEmailAddress

          public void setSenderEmailAddress(java.lang.String senderEmailAddress)

      Sets the message sender's e-mail address.
      Parameters:
        `senderEmailAddress` - the new sender email address

    - #### getSenderEntryId

          public byte[] getSenderEntryId()

      Gets the message sender's entry identifier.
      Returns:
        the sender entry id

    - #### setSenderEntryId

          public void setSenderEntryId(byte[] senderEntryId)

      Sets the message sender's entry identifier.
      Parameters:
        `senderEntryId` - the new sender entry id

    - #### getSenderName

          public java.lang.String getSenderName()

      Gets the message sender's display name.
      Returns:
        the sender name

    - #### setSenderName

          public void setSenderName(java.lang.String senderName)

      Sets the message sender's display name.
      Parameters:
        `senderName` - the new sender name

    - #### getSenderSearchKey

          public byte[] getSenderSearchKey()

      Gets the message sender's search key.
      Returns:
        the sender search key

    - #### setSenderSearchKey

          public void setSenderSearchKey(byte[] senderSearchKey)

      Sets the message sender's search key.
      Parameters:
        `senderSearchKey` - the new sender search key

    - #### getSentRepresentingAddressType

          public java.lang.String getSentRepresentingAddressType()

      Gets the address type for the messaging user who is represented by the sender.
      Returns:
        the sent representing address type

    - #### setSentRepresentingAddressType

          public void setSentRepresentingAddressType(java.lang.String sentRepresentingAddressType)

      Sets the address type for the messaging user who is represented by the sender.
      Parameters:
        `sentRepresentingAddressType` - the new sent representing address type

    - #### getSentRepresentingEmailAddress

          public java.lang.String getSentRepresentingEmailAddress()

      Gets the e-mail address for the messaging user who is represented by the sender.
      Returns:
        the sent representing email address

    - #### setSentRepresentingEmailAddress

          public void setSentRepresentingEmailAddress(java.lang.String sentRepresentingEmailAddress)

      Sets the e-mail address for the messaging user who is represented by the sender.
      Parameters:
        `sentRepresentingEmailAddress` - the new sent representing email address

    - #### getSentRepresentingEntryId

          public byte[] getSentRepresentingEntryId()

      Gets the entry identifier for the messaging user represented by the sender.
      Returns:
        the sent representing entry id

    - #### setSentRepresentingEntryId

          public void setSentRepresentingEntryId(byte[] sentRepresentingEntryId)

      Sets the entry identifier for the messaging user represented by the sender.
      Parameters:
        `sentRepresentingEntryId` - the new sent representing entry id

    - #### getSentRepresentingName

          public java.lang.String getSentRepresentingName()

      Gets the display name for the messaging user represented by the sender.
      Returns:
        the sent representing name

    - #### setSentRepresentingName

          public void setSentRepresentingName(java.lang.String sentRepresentingName)

      Sets the display name for the messaging user represented by the sender.
      Parameters:
        `sentRepresentingName` - the new sent representing name

    - #### getSentRepresentingSearchKey

          public byte[] getSentRepresentingSearchKey()

      Gets the search key for the messaging user represented by the sender.
      Returns:
        the sent representing search key

    - #### setSentRepresentingSearchKey

          public void setSentRepresentingSearchKey(byte[] sentRepresentingSearchKey)

      Sets the search key for the messaging user represented by the sender.
      Parameters:
        `sentRepresentingSearchKey` - the new sent representing search key

    - #### getTransportMessageHeaders

          public java.lang.String getTransportMessageHeaders()

      Gets transport-specific message envelope information.
      Returns:
        the transport message headers

    - #### setTransportMessageHeaders

          public void setTransportMessageHeaders(java.lang.String transportMessageHeaders)

      Sets transport-specific message envelope information.
      Parameters:
        `transportMessageHeaders` - the new transport message headers

    - #### getMessageFlags

          public java.util.List<MessageFlag> getMessageFlags()

      Gets a bitmask of flags that indicate the origin and current state of a message. This field is a non-transmittable message field exposed at both the sending and receiving ends of a transmission, with different values depending upon the client application or store provider involved. This field is initialized by the client or message store provider when a message is created and saved for the first time and then updated periodically by the message store provider, a transport provider, and the MAPI spooler as the message is processed and its state changes. Exists on a message both before and after submission, and on all copies of the received message. Although it is not a recipient field, it is exposed differently to each recipient according to whether it has been read or modified by that recipient.
      Returns:
        the message flags

    - #### getStoreSupportMasks

          public java.util.List<StoreSupportMask> getStoreSupportMasks()

      Gets values that client applications should query to determine the characteristics of a message store.
      Returns:
        the store support masks

    - #### getOutlookVersion

          public java.lang.String getOutlookVersion()

      Gets version number of Microsoft Office Outlook client.
      Returns:
        the outlook version

    - #### setOutlookVersion

          public void setOutlookVersion(java.lang.String outlookVersion)

      Sets version number of Microsoft Office Outlook client.
      Parameters:
        `outlookVersion` - the new outlook version

    - #### getOutlookInternalVersion

          public long getOutlookInternalVersion()

      Gets internal version number of Microsoft Office Outlook client.
      Returns:
        the outlook internal version

    - #### setOutlookInternalVersion

          public void setOutlookInternalVersion(long outlookInternalVersion)

      Sets internal version number of Microsoft Office Outlook client.
      Parameters:
        `outlookInternalVersion` - the new outlook internal version

    - #### getCommonStartTime

          public java.util.Date getCommonStartTime()

      Gets the start date and time of a message.
      Returns:
        the common start time

    - #### setCommonStartTime

          public void setCommonStartTime(java.util.Date commonStartTime)

      Sets the start date and time of a message.
      Parameters:
        `commonStartTime` - the new common start time

    - #### getCommonEndTime

          public java.util.Date getCommonEndTime()

      Gets the end date and time of a message.
      Returns:
        the common end time

    - #### setCommonEndTime

          public void setCommonEndTime(java.util.Date commonEndTime)

      Sets the end date and time of a message.
      Parameters:
        `commonEndTime` - the new common end time

    - #### getFlagDueBy

          public java.util.Date getFlagDueBy()

      Gets the date and time specifying the date by which an e-mail message is due.
      Returns:
        the flag due by

    - #### setFlagDueBy

          public void setFlagDueBy(java.util.Date flagDueBy)

      Sets the date and time specifying the date by which an e-mail message is due.
      Parameters:
        `flagDueBy` - the new flag due by

    - #### getCompanies

          public java.util.List<java.lang.String> getCompanies()

      Gets the names of the companies associated with the contact item.
      Returns:
        the companies

    - #### getContactNames

          public java.util.List<java.lang.String> getContactNames()

      Gets the names of the contacts associated with the item.
      Returns:
        the contact names

    - #### getKeywords

          public java.util.List<java.lang.String> getKeywords()

      Gets the categories associated with a message.
      Returns:
        the keywords

    - #### getCategories

          public java.util.List<java.lang.String> getCategories()

      Gets the categories associated with a message.
      Returns:
        the categories

    - #### getBillingInformation

          public java.lang.String getBillingInformation()

      Gets the billing information associated with a message.
      Returns:
        the billing information

    - #### setBillingInformation

          public void setBillingInformation(java.lang.String billingInformation)

      Sets the billing information associated with a message.
      Parameters:
        `billingInformation` - the new billing information

    - #### getMileage

          public java.lang.String getMileage()

      Gets free-form string value and can be used to store mileage information associated with the message.
      Returns:
        the mileage

    - #### setMileage

          public void setMileage(java.lang.String mileage)

      Sets free-form string value and can be used to store mileage information associated with the message.
      Parameters:
        `mileage` - the new mileage

    - #### getReminderSoundFile

          public java.lang.String getReminderSoundFile()

      Gets the path and file name of the sound file to play when the reminder occurs for the appointment, mail message, or task.
      Returns:
        the reminder sound file

    - #### setReminderSoundFile

          public void setReminderSoundFile(java.lang.String reminderSoundFile)

      Sets the path and file name of the sound file to play when the reminder occurs for the appointment, mail message, or task.
      Parameters:
        `reminderSoundFile` - the new reminder sound file

    - #### isPrivate

          public boolean isPrivate()

      Gets true if message is marked as private.
      Returns:
        true, if is private

    - #### setPrivate

          public void setPrivate(boolean isPrivate)

      Sets true if message is marked as private.
      Parameters:
        `isPrivate` - the new private

    - #### getReminderOverrideDefault

          public boolean getReminderOverrideDefault()

      Gets true if the reminder overrides the default reminder behavior for the appointment, mail item, or task.
      Returns:
        the reminder override default

    - #### setReminderOverrideDefault

          public void setReminderOverrideDefault(boolean reminderOverrideDefault)

      Sets true if the reminder overrides the default reminder behavior for the appointment, mail item, or task.
      Parameters:
        `reminderOverrideDefault` - the new reminder override default

    - #### getReminderPlaySound

          public boolean getReminderPlaySound()

      Gets true if the reminder should play a sound when it occurs for this appointment or task.
      Returns:
        the reminder play sound

    - #### setReminderPlaySound

          public void setReminderPlaySound(boolean reminderPlaySound)

      Gets true if the reminder should play a sound when it occurs for this appointment or task.
      Parameters:
        `reminderPlaySound` - the new reminder play sound

    - #### getAppointmentStartTime

          public java.util.Date getAppointmentStartTime()

      Gets appointment's the start date and time.
      Returns:
        the appointment start time

    - #### setAppointmentStartTime

          public void setAppointmentStartTime(java.util.Date appointmentStartTime)

      Sets appointment's the start date and time.
      Parameters:
        `appointmentStartTime` - the new appointment start time

    - #### getAppointmentEndTime

          public java.util.Date getAppointmentEndTime()

      Gets appointment's the end date and time.
      Returns:
        the appointment end time

    - #### setAppointmentEndTime

          public void setAppointmentEndTime(java.util.Date appointmentEndTime)

      Sets appointment's the end date and time.
      Parameters:
        `appointmentEndTime` - the new appointment end time

    - #### getLocation

          public java.lang.String getLocation()

      Gets appointment's location.
      Returns:
        the location

    - #### setLocation

          public void setLocation(java.lang.String location)

      Sets appointment's location.
      Parameters:
        `location` - the new location

    - #### getAppointmentMessageClass

          public java.lang.String getAppointmentMessageClass()

      Gets appointment's message class.
      Returns:
        the appointment message class

    - #### setAppointmentMessageClass

          public void setAppointmentMessageClass(java.lang.String appointmentMessageClass)

      Sets appointment's message class.
      Parameters:
        `appointmentMessageClass` - the new appointment message class

    - #### getTimeZone

          public java.lang.String getTimeZone()

      Gets appointment's time zone.
      Returns:
        the time zone

    - #### setTimeZone

          public void setTimeZone(java.lang.String timeZone)

      Sets appointment's time zone.
      Parameters:
        `timeZone` - the new time zone

    - #### getRecurrencePattern

          public java.lang.String getRecurrencePattern()

      Gets appointment's recurring pattern.
      Returns:
        the recurrence pattern

    - #### setRecurrencePattern

          public void setRecurrencePattern(java.lang.String recurrencePattern)

      Sets appointment's recurring pattern.
      Parameters:
        `recurrencePattern` - the new recurrence pattern

    - #### getGuid

          public byte[] getGuid()

      Gets message's global unique id.
      Returns:
        the guid

    - #### setGuid

          public void setGuid(byte[] guid)

      Sets message's global unique id.
      Parameters:
        `guid` - the new guid

    - #### getLabel

          public int getLabel()

      Gets appointment's label color.
      Returns:
        the label

    - #### setLabel

          public void setLabel(int label)

      Sets appointment's label color.
      Parameters:
        `label` - the new label

    - #### getDuration

          public int getDuration()

      Gets appointment's duration in minutes.
      Returns:
        the duration

    - #### setDuration

          public void setDuration(int duration)

      Sets appointment's duration in minutes.
      Parameters:
        `duration` - the new duration

    - #### getBusyStatus

          public BusyStatus getBusyStatus()

      Gets appointment's busy status.
      Returns:
        the busy status

    - #### setBusyStatus

          public void setBusyStatus(BusyStatus busyStatus)

      Sets appointment's busy status.
      Parameters:
        `busyStatus` - the new busy status

    - #### getMeetingStatus

          public MeetingStatus getMeetingStatus()

      Gets the status of the meeting.
      Returns:
        the meeting status

    - #### setMeetingStatus

          public void setMeetingStatus(MeetingStatus meetingStatus)

      Sets the status of the meeting.
      Parameters:
        `meetingStatus` - the new meeting status

    - #### getResponseStatus

          public ResponseStatus getResponseStatus()

      Gets the response to a meeting request.
      Returns:
        the response status

    - #### setResponseStatus

          public void setResponseStatus(ResponseStatus responseStatus)

      Sets the response to a meeting request.
      Parameters:
        `responseStatus` - the new response status

    - #### getRecurrenceType

          public RecurrenceType getRecurrenceType()

      Gets the recurrence pattern type.
      Returns:
        the recurrence type

    - #### setRecurrenceType

          public void setRecurrenceType(RecurrenceType recurrenceType)

      Sets the recurrence pattern type.
      Parameters:
        `recurrenceType` - the new recurrence type

    - #### getOwner

          public java.lang.String getOwner()

      Gets task's owner name.
      Returns:
        the owner

    - #### setOwner

          public void setOwner(java.lang.String owner)

      Sets task's owner name.
      Parameters:
        `owner` - the new owner

    - #### getDelegator

          public java.lang.String getDelegator()

      Gets task's delegator name.
      Returns:
        the delegator

    - #### setDelegator

          public void setDelegator(java.lang.String delegator)

      Sets task's delegator name.
      Parameters:
        `delegator` - the new delegator

    - #### getPercentComplete

          public double getPercentComplete()

      Gets the percentage of the task completed at the current date and time.
      Returns:
        the percent complete

    - #### setPercentComplete

          public void setPercentComplete(double percentComplete)

      Sets the percentage of the task completed at the current date and time.
      Parameters:
        `percentComplete` - the new percent complete

    - #### getActualWork

          public long getActualWork()

      Gets the actual effort (in minutes) spent on the task.\
      Returns:
        the actual work

    - #### setActualWork

          public void setActualWork(long actualWork)

      Sets the actual effort (in minutes) spent on the task.
      Parameters:
        `actualWork` - the new actual work

    - #### getTotalWork

          public long getTotalWork()

      Gets the total work for the task.
      Returns:
        the total work

    - #### setTotalWork

          public void setTotalWork(long totalWork)

      Sets the total work for the task.
      Parameters:
        `totalWork` - the new total work

    - #### isTeamTask

          public boolean isTeamTask()

      Gets true if the task is a team task, otherwise false.
      Returns:
        true, if is team task

    - #### setTeamTask

          public void setTeamTask(boolean isTeamTask)

      Sets true if the task is a team task.
      Parameters:
        `isTeamTask` - the new team task

    - #### isComplete

          public boolean isComplete()

      Gets true if the task is complete, otherwise false.
      Returns:
        true, if is complete

    - #### setComplete

          public void setComplete(boolean isComplete)

      Sets true if the task is complete.
      Parameters:
        `isComplete` - the new complete

    - #### isRecurring

          public boolean isRecurring()

      Gets true if the task or appointment is recurring, otherwise false.
      Returns:
        true, if is recurring

    - #### setRecurring

          public void setRecurring(boolean isRecurring)

      Sets true if the task or appointment is recurring.
      Parameters:
        `isRecurring` - the new recurring

    - #### isAllDayEvent

          public boolean isAllDayEvent()

      Gets true if the appointment is all day event, otherwise false.
      Returns:
        true, if is all day event

    - #### setAllDayEvent

          public void setAllDayEvent(boolean isAllDayEvent)

      Sets true if the appointment is all day event.
      Parameters:
        `isAllDayEvent` - the new all day event

    - #### isReminderSet

          public boolean isReminderSet()

      Gets true if a reminder has been set for this appointment, e-mail item, or task, otherwise false.
      Returns:
        true, if is reminder set

    - #### setReminderSet

          public void setReminderSet(boolean isReminderSet)

      Sets true if a reminder has been set for this appointment, e-mail item, or task.
      Parameters:
        `isReminderSet` - the new reminder set

    - #### getReminderTime

          public java.util.Date getReminderTime()

      Gets the date and time at which the reminder should occur for the specified item.
      Returns:
        the reminder time

    - #### setReminderTime

          public void setReminderTime(java.util.Date reminderTime)

      Sets the date and time at which the reminder should occur for the specified item.
      Parameters:
        `reminderTime` - the new reminder time

    - #### getReminderMinutesBeforeStart

          public long getReminderMinutesBeforeStart()

      Gets the number of minutes the reminder should occur prior to the start of the appointment.
      Returns:
        the reminder minutes before start

    - #### setReminderMinutesBeforeStart

          public void setReminderMinutesBeforeStart(long reminderMinutesBeforeStart)

      Sets the number of minutes the reminder should occur prior to the start of the appointment.
      Parameters:
        `reminderMinutesBeforeStart` - the new reminder minutes before start

    - #### getTaskStartDate

          public java.util.Date getTaskStartDate()

      Gets task's the start date and time.
      Returns:
        the task start date

    - #### setTaskStartDate

          public void setTaskStartDate(java.util.Date taskStartDate)

      Sets task's the start date and time.
      Parameters:
        `taskStartDate` - the new task start date

    - #### getTaskDueDate

          public java.util.Date getTaskDueDate()

      Gets task's the due date and time.
      Returns:
        the task due date

    - #### setTaskDueDate

          public void setTaskDueDate(java.util.Date taskDueDate)

      Sets task's the due date and time.
      Parameters:
        `taskDueDate` - the new task due date

    - #### getDateCompleted

          public java.util.Date getDateCompleted()

      Gets the completion date of the task.
      Returns:
        the date completed

    - #### setDateCompleted

          public void setDateCompleted(java.util.Date dateCompleted)

      Sets the completion date of the task.
      Parameters:
        `dateCompleted` - the new date completed

    - #### getTaskStatus

          public TaskStatus getTaskStatus()

      Gets the status of the task.
      Returns:
        the task status

    - #### setTaskStatus

          public void setTaskStatus(TaskStatus taskStatus)

      Sets the status of the task.
      Parameters:
        `taskStatus` - the new task status

    - #### getTaskOwnership

          public TaskOwnership getTaskOwnership()

      Gets the ownership state of the task.
      Returns:
        the task ownership

    - #### setTaskOwnership

          public void setTaskOwnership(TaskOwnership taskOwnership)

      Sets the ownership state of the task.
      Parameters:
        `taskOwnership` - the new task ownership

    - #### getTaskDelegationState

          public TaskDelegationState getTaskDelegationState()

      Gets the delegation state of a task.
      Returns:
        the task delegation state

    - #### setTaskDelegationState

          public void setTaskDelegationState(TaskDelegationState taskDelegationState)

      Sets the delegation state of a task.
      Parameters:
        `taskDelegationState` - the new task delegation state

    - #### getNoteHeight

          public long getNoteHeight()

      Gets height of the note item.
      Returns:
        the note height

    - #### setNoteHeight

          public void setNoteHeight(long noteHeight)

      Sets height of the note item.
      Parameters:
        `noteHeight` - the new note height

    - #### getNoteWidth

          public long getNoteWidth()

      Gets width of the note item.
      Returns:
        the note width

    - #### setNoteWidth

          public void setNoteWidth(long noteWidth)

      Sets width of the note item.
      Parameters:
        `noteWidth` - the new note width

    - #### getNoteTop

          public long getNoteTop()

      Gets top position of the note item.
      Returns:
        the note top

    - #### setNoteTop

          public void setNoteTop(long noteTop)

      Sets top position of the note item.
      Parameters:
        `noteTop` - the new note top

    - #### getNoteLeft

          public long getNoteLeft()

      Gets left position of the note item.
      Returns:
        the note left

    - #### setNoteLeft

          public void setNoteLeft(long noteLeft)

      Sets left position of the note item.
      Parameters:
        `noteLeft` - the new note left

    - #### getNoteColor

          public NoteColor getNoteColor()

      Gets background color of the note item.
      Returns:
        the note color

    - #### setNoteColor

          public void setNoteColor(NoteColor noteColor)

      Sets background color of the note item.
      Parameters:
        `noteColor` - the new note color

    - #### getJournalStartTime

          public java.util.Date getJournalStartTime()

      Gets journal's the start date and time.
      Returns:
        the journal start time

    - #### setJournalStartTime

          public void setJournalStartTime(java.util.Date journalStartTime)

      Sets journal's the start date and time.
      Parameters:
        `journalStartTime` - the new journal start time

    - #### getJournalEndTime

          public java.util.Date getJournalEndTime()

      Gets journal's the end date and time.
      Returns:
        the journal end time

    - #### setJournalEndTime

          public void setJournalEndTime(java.util.Date journalEndTime)

      Sets journal's the end date and time.
      Parameters:
        `journalEndTime` - the new journal end time

    - #### getJournalType

          public java.lang.String getJournalType()

      Gets the type of the journal item.
      Returns:
        the journal type

    - #### setJournalType

          public void setJournalType(java.lang.String journalType)

      Sets the type of the journal item.
      Parameters:
        `journalType` - the new journal type

    - #### getJournalTypeDescription

          public java.lang.String getJournalTypeDescription()

      Gets the type description of the journal item.
      Returns:
        the journal type description

    - #### setJournalTypeDescription

          public void setJournalTypeDescription(java.lang.String journalTypeDescription)

      Sets the type description of the journal item.
      Parameters:
        `journalTypeDescription` - the new journal type description

    - #### getJournalDuration

          public long getJournalDuration()

      Gets journal's the duration in minutes.
      Returns:
        the journal duration

    - #### setJournalDuration

          public void setJournalDuration(long journalDuration)

      Sets journal's the duration in minutes.
      Parameters:
        `journalDuration` - the new journal duration

    - #### getBirthday

          public java.util.Date getBirthday()

      Gets the birthday date for the contact.
      Returns:
        the birthday

    - #### setBirthday

          public void setBirthday(java.util.Date birthday)

      Sets the birthday date for the contact.
      Parameters:
        `birthday` - the new birthday

    - #### getChildrenNames

          public java.util.List<java.lang.String> getChildrenNames()

      Gest the names of the children of the contact.
      Returns:
        the children names

    - #### getAssistentName

          public java.lang.String getAssistentName()

      Gets the name of assistent of the contact.
      Returns:
        the assistent name

    - #### setAssistentName

          public void setAssistentName(java.lang.String assistentName)

      Sets the name of assistent of the contact.
      Parameters:
        `assistentName` - the new assistent name

    - #### getAssistentPhone

          public java.lang.String getAssistentPhone()

      Gets assistent's phone number of the contact.
      Returns:
        the assistent phone

    - #### setAssistentPhone

          public void setAssistentPhone(java.lang.String assistentPhone)

      Sets assistent's phone number of the contact.
      Parameters:
        `assistentPhone` - the new assistent phone

    - #### getBusinessPhone

          public java.lang.String getBusinessPhone()

      Gets the first business telephone number for the contact.
      Returns:
        the business phone

    - #### setBusinessPhone

          public void setBusinessPhone(java.lang.String businessPhone)

      Sets the first business telephone number for the contact.
      Parameters:
        `businessPhone` - the new business phone

    - #### getBusinessFax

          public java.lang.String getBusinessFax()

      Gets the business fax number for the contact.
      Returns:
        the business fax

    - #### setBusinessFax

          public void setBusinessFax(java.lang.String businessFax)

      Sets the business fax number for the contact.
      Parameters:
        `businessFax` - the new business fax

    - #### getBusinessHomePage

          public java.lang.String getBusinessHomePage()

      Gets the url of the business Web page for the contact.
      Returns:
        the business home page

    - #### setBusinessHomePage

          public void setBusinessHomePage(java.lang.String businessHomePage)

      Sets the url of the business Web page for the contact.
      Parameters:
        `businessHomePage` - the new business home page

    - #### getCallbackPhone

          public java.lang.String getCallbackPhone()

      Gets the callback telephone number for the contact.
      Returns:
        the callback phone

    - #### setCallbackPhone

          public void setCallbackPhone(java.lang.String callbackPhone)

      Sets the callback telephone number for the contact.
      Parameters:
        `callbackPhone` - the new callback phone

    - #### getCarPhone

          public java.lang.String getCarPhone()

      Gets the car telephone number for the contact.
      Returns:
        the car phone

    - #### setCarPhone

          public void setCarPhone(java.lang.String carPhone)

      Sets the car telephone number for the contact.
      Parameters:
        `carPhone` - the new car phone

    - #### getCellularPhone

          public java.lang.String getCellularPhone()

      Gets the mobile telephone number for the contact.
      Returns:
        the cellular phone

    - #### setCellularPhone

          public void setCellularPhone(java.lang.String cellularPhone)

      Sets the mobile telephone number for the contact.
      Parameters:
        `cellularPhone` - the new cellular phone

    - #### getCompanyMainPhone

          public java.lang.String getCompanyMainPhone()

      Gets the company main telephone number for the contact.
      Returns:
        the company main phone

    - #### setCompanyMainPhone

          public void setCompanyMainPhone(java.lang.String companyMainPhone)

      Sets the company main telephone number for the contact.
      Parameters:
        `companyMainPhone` - the new company main phone

    - #### getCompanyName

          public java.lang.String getCompanyName()

      Gets the company name for the contact.
      Returns:
        the company name

    - #### setCompanyName

          public void setCompanyName(java.lang.String companyName)

      Sets the company name for the contact.
      Parameters:
        `companyName` - the new company name

    - #### getComputerNetworkName

          public java.lang.String getComputerNetworkName()

      Gets the name of the computer network for the contact.
      Returns:
        the computer network name

    - #### setComputerNetworkName

          public void setComputerNetworkName(java.lang.String computerNetworkName)

      Sets the name of the computer network for the contact.
      Parameters:
        `computerNetworkName` - the new computer network name

    - #### getBusinessAddressCountry

          public java.lang.String getBusinessAddressCountry()

      Gets the country/region code portion of the business address for the contact.
      Returns:
        the business address country

    - #### setBusinessAddressCountry

          public void setBusinessAddressCountry(java.lang.String businessAddressCountry)

      Sets the country/region code portion of the business address for the contact.
      Parameters:
        `businessAddressCountry` - the new business address country

    - #### getCustomerId

          public java.lang.String getCustomerId()

      Gets the customer ID for the contact.
      Returns:
        the customer id

    - #### setCustomerId

          public void setCustomerId(java.lang.String customerId)

      Sets the customer ID for the contact.
      Parameters:
        `customerId` - the new customer id

    - #### getDepartmentName

          public java.lang.String getDepartmentName()

      Gets the department name for the contact.
      Returns:
        the department name

    - #### setDepartmentName

          public void setDepartmentName(java.lang.String departmentName)

      Sets the department name for the contact.
      Parameters:
        `departmentName` - the new department name

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets display name.
      Returns:
        the display name

    - #### setDisplayName

          public void setDisplayName(java.lang.String displayName)

      Sets display name.
      Parameters:
        `displayName` - the new display name

    - #### getDisplayNamePrefix

          public java.lang.String getDisplayNamePrefix()

      Gets display name prefix.
      Returns:
        the display name prefix

    - #### setDisplayNamePrefix

          public void setDisplayNamePrefix(java.lang.String displayNamePrefix)

      Sets display name prefix.
      Parameters:
        `displayNamePrefix` - the new display name prefix

    - #### getFtpSite

          public java.lang.String getFtpSite()

      Gets the FTP site entry for the contact.
      Returns:
        the ftp site

    - #### setFtpSite

          public void setFtpSite(java.lang.String ftpSite)

      Sets the FTP site entry for the contact.
      Parameters:
        `ftpSite` - the new ftp site

    - #### getGeneration

          public java.lang.String getGeneration()

      Gets the generation for the contact.
      Returns:
        the generation

    - #### setGeneration

          public void setGeneration(java.lang.String generation)

      Sets the generation for the contact.
      Parameters:
        `generation` - the new generation

    - #### getGivenName

          public java.lang.String getGivenName()

      Gets the given name for the contact.
      Returns:
        the given name

    - #### setGivenName

          public void setGivenName(java.lang.String givenName)

      Sets the given name for the contact.
      Parameters:
        `givenName` - the new given name

    - #### getGovernmentId

          public java.lang.String getGovernmentId()

      Gets the government ID number for the contact.
      Returns:
        the government id

    - #### setGovernmentId

          public void setGovernmentId(java.lang.String governmentId)

      Sets the government ID number for the contact.
      Parameters:
        `governmentId` - the new government id

    - #### getHobbies

          public java.lang.String getHobbies()

      Gets the hobby names for the contact.
      Returns:
        the hobbies

    - #### setHobbies

          public void setHobbies(java.lang.String hobbies)

      Sets the hobby names for the contact.
      Parameters:
        `hobbies` - the new hobbies

    - #### getHomePhone2

          public java.lang.String getHomePhone2()

      Gets the second home telephone number for the contact.
      Returns:
        the home phone2

    - #### setHomePhone2

          public void setHomePhone2(java.lang.String homePhone2)

      Sets the second home telephone number for the contact.
      Parameters:
        `homePhone2` - the new home phone2

    - #### getHomeAddressCity

          public java.lang.String getHomeAddressCity()

      Gets the city portion of the home address for the contact.
      Returns:
        the home address city

    - #### setHomeAddressCity

          public void setHomeAddressCity(java.lang.String homeAddressCity)

      Sets the city portion of the home address for the contact.
      Parameters:
        `homeAddressCity` - the new home address city

    - #### getHomeAddressCountry

          public java.lang.String getHomeAddressCountry()

      Gets the country/region portion of the home address for the contact.
      Returns:
        the home address country

    - #### setHomeAddressCountry

          public void setHomeAddressCountry(java.lang.String homeAddressCountry)

      Sets the country/region portion of the home address for the contact.
      Parameters:
        `homeAddressCountry` - the new home address country

    - #### getHomeAddressPostalCode

          public java.lang.String getHomeAddressPostalCode()

      Gets the postal code portion of the home address for the contact.
      Returns:
        the home address postal code

    - #### setHomeAddressPostalCode

          public void setHomeAddressPostalCode(java.lang.String homeAddressPostalCode)

      Sets the postal code portion of the home address for the contact.
      Parameters:
        `homeAddressPostalCode` - the new home address postal code

    - #### getHomeAddressPostOfficeBox

          public java.lang.String getHomeAddressPostOfficeBox()

      Gets the post office box number portion of the home address for the contact.
      Returns:
        the home address post office box

    - #### setHomeAddressPostOfficeBox

          public void setHomeAddressPostOfficeBox(java.lang.String homeAddressPostOfficeBox)

      Sets the post office box number portion of the home address for the contact.
      Parameters:
        `homeAddressPostOfficeBox` - the new home address post office box

    - #### getHomeAddressState

          public java.lang.String getHomeAddressState()

      Sets the state portion of the home address for the contact.
      Returns:
        the home address state

    - #### setHomeAddressState

          public void setHomeAddressState(java.lang.String homeAddressState)

      Gets the state portion of the home address for the contact.
      Parameters:
        `homeAddressState` - the new home address state

    - #### getHomeAddressStreet

          public java.lang.String getHomeAddressStreet()

      Gets the street portion of the home address for the contact.
      Returns:
        the home address street

    - #### setHomeAddressStreet

          public void setHomeAddressStreet(java.lang.String homeAddressStreet)

      Sets the street portion of the home address for the contact.
      Parameters:
        `homeAddressStreet` - the new home address street

    - #### getHomeFax

          public java.lang.String getHomeFax()

      Gets the home fax number for the contact.
      Returns:
        the home fax

    - #### setHomeFax

          public void setHomeFax(java.lang.String homeFax)

      Sets the home fax number for the contact.
      Parameters:
        `homeFax` - the new home fax

    - #### getHomePhone

          public java.lang.String getHomePhone()

      Gets the first home telephone number for the contact.
      Returns:
        the home phone

    - #### setHomePhone

          public void setHomePhone(java.lang.String homePhone)

      Sets the first home telephone number for the contact.
      Parameters:
        `homePhone` - the new home phone

    - #### getInitials

          public java.lang.String getInitials()

      Gets the initials for the contact.
      Returns:
        the initials

    - #### setInitials

          public void setInitials(java.lang.String initials)

      Sets the initials for the contact.
      Parameters:
        `initials` - the new initials

    - #### getIsdn

          public java.lang.String getIsdn()

      Gets the ISDN number for the contact.
      Returns:
        the isdn

    - #### setIsdn

          public void setIsdn(java.lang.String isdn)

      Sets the ISDN number for the contact.
      Parameters:
        `isdn` - the new isdn

    - #### getBusinessAddressCity

          public java.lang.String getBusinessAddressCity()

      Gets the city name portion of the business address for the contact.
      Returns:
        the business address city

    - #### setBusinessAddressCity

          public void setBusinessAddressCity(java.lang.String businessAddressCity)

      Sets the city name portion of the business address for the contact.
      Parameters:
        `businessAddressCity` - the new business address city

    - #### getManagerName

          public java.lang.String getManagerName()

      Gets the manager name for the contact.
      Returns:
        the manager name

    - #### setManagerName

          public void setManagerName(java.lang.String managerName)

      Sets the manager name for the contact.
      Parameters:
        `managerName` - the new manager name

    - #### getMiddleName

          public java.lang.String getMiddleName()

      Gets the middle name for the contact.
      Returns:
        the middle name

    - #### setMiddleName

          public void setMiddleName(java.lang.String middleName)

      Sets the middle name for the contact.
      Parameters:
        `middleName` - the new middle name

    - #### getNickname

          public java.lang.String getNickname()

      Gets the nickname for the contact.
      Returns:
        the nickname

    - #### setNickname

          public void setNickname(java.lang.String nickname)

      Sets the nickname for the contact.
      Parameters:
        `nickname` - the new nickname

    - #### getOfficeLocation

          public java.lang.String getOfficeLocation()

      Gets the specific office location for the contact.
      Returns:
        the office location

    - #### setOfficeLocation

          public void setOfficeLocation(java.lang.String officeLocation)

      Sets the specific office location for the contact.
      Parameters:
        `officeLocation` - the new office location

    - #### getBusinessPhone2

          public java.lang.String getBusinessPhone2()

      Gets the second business telephone number for the contact.
      Returns:
        the business phone2

    - #### setBusinessPhone2

          public void setBusinessPhone2(java.lang.String businessPhone2)

      Sets the second business telephone number for the contact.
      Parameters:
        `businessPhone2` - the new business phone2

    - #### getOtherAddressCity

          public java.lang.String getOtherAddressCity()

      Gets the city portion of the other address for the contact.
      Returns:
        the other address city

    - #### setOtherAddressCity

          public void setOtherAddressCity(java.lang.String otherAddressCity)

      Sets the city portion of the other address for the contact.
      Parameters:
        `otherAddressCity` - the new other address city

    - #### getOtherAddressCountry

          public java.lang.String getOtherAddressCountry()

      Gets the country/region portion of the other address for the contact.
      Returns:
        the other address country

    - #### setOtherAddressCountry

          public void setOtherAddressCountry(java.lang.String otherAddressCountry)

      Sets the country/region portion of the other address for the contact.
      Parameters:
        `otherAddressCountry` - the new other address country

    - #### getOtherAddressPostalCode

          public java.lang.String getOtherAddressPostalCode()

      Gets the postal code portion of the other address for the contact.
      Returns:
        the other address postal code

    - #### setOtherAddressPostalCode

          public void setOtherAddressPostalCode(java.lang.String otherAddressPostalCode)

      Sets the postal code portion of the other address for the contact.
      Parameters:
        `otherAddressPostalCode` - the new other address postal code

    - #### getOtherAddressState

          public java.lang.String getOtherAddressState()

      Gets the state portion of the other address for the contact.
      Returns:
        the other address state

    - #### setOtherAddressState

          public void setOtherAddressState(java.lang.String otherAddressState)

      Sets the state portion of the other address for the contact.
      Parameters:
        `otherAddressState` - the new other address state

    - #### getOtherAddressStreet

          public java.lang.String getOtherAddressStreet()

      Gets the street portion of the other address for the contact.
      Returns:
        the other address street

    - #### setOtherAddressStreet

          public void setOtherAddressStreet(java.lang.String otherAddressStreet)

      Sets the street portion of the other address for the contact.
      Parameters:
        `otherAddressStreet` - the new other address street

    - #### getOtherPhone

          public java.lang.String getOtherPhone()

      Gets the other telephone number for the contact.
      Returns:
        the other phone

    - #### setOtherPhone

          public void setOtherPhone(java.lang.String otherPhone)

      Sets the other telephone number for the contact.
      Parameters:
        `otherPhone` - the new other phone

    - #### getPager

          public java.lang.String getPager()

      Gets the pager number for the contact.
      Returns:
        the pager

    - #### setPager

          public void setPager(java.lang.String pager)

      Sets the pager number for the contact.
      Parameters:
        `pager` - the new pager

    - #### getPersonalHomePage

          public java.lang.String getPersonalHomePage()

      Gets the url of the personal Web page for the contact.
      Returns:
        the personal home page

    - #### setPersonalHomePage

          public void setPersonalHomePage(java.lang.String personalHomePage)

      Sets the url of the personal Web page for the contact.
      Parameters:
        `personalHomePage` - the new personal home page

    - #### getPostalAddress

          public java.lang.String getPostalAddress()

      Gets the postal address for the contact.
      Returns:
        the postal address

    - #### setPostalAddress

          public void setPostalAddress(java.lang.String postalAddress)

      Sets the postal address for the contact.
      Parameters:
        `postalAddress` - the new postal address

    - #### getBusinessAddressPostalCode

          public java.lang.String getBusinessAddressPostalCode()

      Gets the postal code (zip code) portion of the business address for the contact.
      Returns:
        the business address postal code

    - #### setBusinessAddressPostalCode

          public void setBusinessAddressPostalCode(java.lang.String businessAddressPostalCode)

      Sets the postal code (zip code) portion of the business address for the contact.
      Parameters:
        `businessAddressPostalCode` - the new business address postal code

    - #### getBusinessAddressPostOfficeBox

          public java.lang.String getBusinessAddressPostOfficeBox()

      Gets the post office box number portion of the business address for the contact.
      Returns:
        the business address post office box

    - #### setBusinessAddressPostOfficeBox

          public void setBusinessAddressPostOfficeBox(java.lang.String businessAddressPostOfficeBox)

      Sets the post office box number portion of the business address for the contact.
      Parameters:
        `businessAddressPostOfficeBox` - the new business address post office box

    - #### getBusinessAddressState

          public java.lang.String getBusinessAddressState()

      Gets the state code portion of the business address for the contact.
      Returns:
        the business address state

    - #### setBusinessAddressState

          public void setBusinessAddressState(java.lang.String businessAddressState)

      Sets the state code portion of the business address for the contact.
      Parameters:
        `businessAddressState` - the new business address state

    - #### getBusinessAddressStreet

          public java.lang.String getBusinessAddressStreet()

      Gets the street address portion of the business address for the contact.
      Returns:
        the business address street

    - #### setBusinessAddressStreet

          public void setBusinessAddressStreet(java.lang.String businessAddressStreet)

      Sets the street address portion of the business address for the contact.
      Parameters:
        `businessAddressStreet` - the new business address street

    - #### getPrimaryFax

          public java.lang.String getPrimaryFax()

      Gets the primary fax number for the contact.
      Returns:
        the primary fax

    - #### setPrimaryFax

          public void setPrimaryFax(java.lang.String primaryFax)

      Sets the primary fax number for the contact.
      Parameters:
        `primaryFax` - the new primary fax

    - #### getPrimaryPhone

          public java.lang.String getPrimaryPhone()

      Gets the primary telephone number for the contact.
      Returns:
        the primary phone

    - #### setPrimaryPhone

          public void setPrimaryPhone(java.lang.String primaryPhone)

      Sets the primary telephone number for the contact.
      Parameters:
        `primaryPhone` - the new primary phone

    - #### getProfession

          public java.lang.String getProfession()

      Gets the profession for the contact.
      Returns:
        the profession

    - #### setProfession

          public void setProfession(java.lang.String profession)

      Gets the profession for the contact.
      Parameters:
        `profession` - the new profession

    - #### getRadioPhone

          public java.lang.String getRadioPhone()

      Gets the radio telephone number for the contact.
      Returns:
        the radio phone

    - #### setRadioPhone

          public void setRadioPhone(java.lang.String radioPhone)

      Sets the radio telephone number for the contact.
      Parameters:
        `radioPhone` - the new radio phone

    - #### getSpouseName

          public java.lang.String getSpouseName()

      Gets the spouse name for the contact.
      Returns:
        the spouse name

    - #### setSpouseName

          public void setSpouseName(java.lang.String spouseName)

      Sets the spouse name for the contact.
      Parameters:
        `spouseName` - the new spouse name

    - #### getSurname

          public java.lang.String getSurname()

      Gets the last name for the contact.
      Returns:
        the surname

    - #### setSurname

          public void setSurname(java.lang.String surname)

      Sets the last name for the contact.
      Parameters:
        `surname` - the new surname

    - #### getTelex

          public java.lang.String getTelex()

      Gets the telex number for the contact.
      Returns:
        the telex

    - #### setTelex

          public void setTelex(java.lang.String telex)

      Sets the telex number for the contact.
      Parameters:
        `telex` - the new telex

    - #### getTitle

          public java.lang.String getTitle()

      Gets the title for the contact.
      Returns:
        the title

    - #### setTitle

          public void setTitle(java.lang.String title)

      Sets the title for the contact.
      Parameters:
        `title` - the new title

    - #### getTtyTddPhone

          public java.lang.String getTtyTddPhone()

      Gets the TTY/TDD telephone number for the contact.
      Returns:
        the tty tdd phone

    - #### setTtyTddPhone

          public void setTtyTddPhone(java.lang.String ttyTddPhone)

      Sets the TTY/TDD telephone number for the contact.
      Parameters:
        `ttyTddPhone` - the new tty tdd phone

    - #### getWeddingAnniversary

          public java.util.Date getWeddingAnniversary()

      Gets the wedding anniversary date for the contact.
      Returns:
        the wedding anniversary

    - #### setWeddingAnniversary

          public void setWeddingAnniversary(java.util.Date weddingAnniversary)

      Sets the wedding anniversary date for the contact.
      Parameters:
        `weddingAnniversary` - the new wedding anniversary

    - #### getSelectedMailingAddress

          public SelectedMailingAddress getSelectedMailingAddress()

      Gets the type of the mailing address for the contact.
      Returns:
        the selected mailing address

    - #### setSelectedMailingAddress

          public void setSelectedMailingAddress(SelectedMailingAddress selectedMailingAddress)

      Sets the type of the mailing address for the contact.
      Parameters:
        `selectedMailingAddress` - the new selected mailing address

    - #### getContactHasPicture

          public boolean getContactHasPicture()

      Gets true if the contact has picture, otherwise false.
      Returns:
        the contact has picture

    - #### setContactHasPicture

          public void setContactHasPicture(boolean contactHasPicture)

      Sets true if the contact has picture.
      Parameters:
        `contactHasPicture` - the new contact has picture

    - #### getFileAs

          public java.lang.String getFileAs()

      Gets the default keyword string assigned to the contact when it is filed.
      Returns:
        the file as

    - #### setFileAs

          public void setFileAs(java.lang.String fileAs)

      Sets the default keyword string assigned to the contact when it is filed.
      Parameters:
        `fileAs` - the new file as

    - #### getInstantMessengerAddress

          public java.lang.String getInstantMessengerAddress()

      Gets the instant messenger address for the contact.
      Returns:
        the instant messenger address

    - #### setInstantMessengerAddress

          public void setInstantMessengerAddress(java.lang.String instantMessengerAddress)

      Sets the instant messenger address for the contact.
      Parameters:
        `instantMessengerAddress` - the new instant messenger address

    - #### getInternetFreeBusyAddress

          public java.lang.String getInternetFreeBusyAddress()

      Gets the url location of the user's free-busy information in vCard Free-Busy standard format.
      Returns:
        the internet free busy address

    - #### setInternetFreeBusyAddress

          public void setInternetFreeBusyAddress(java.lang.String internetFreeBusyAddress)

      Sets the url location of the user's free-busy information in vCard Free-Busy standard format.
      Parameters:
        `internetFreeBusyAddress` - the new internet free busy address

    - #### getBusinessAddress

          public java.lang.String getBusinessAddress()

      Gets the whole, unparsed business address for the contact.
      Returns:
        the business address

    - #### setBusinessAddress

          public void setBusinessAddress(java.lang.String businessAddress)

      Sets the whole, unparsed business address for the contact.
      Parameters:
        `businessAddress` - the new business address

    - #### getHomeAddress

          public java.lang.String getHomeAddress()

      Gets the whole, unparsed home address for the contact.
      Returns:
        the home address

    - #### setHomeAddress

          public void setHomeAddress(java.lang.String homeAddress)

      Sets the whole, unparsed home address for the contact.
      Parameters:
        `homeAddress` - the new home address

    - #### getOtherAddress

          public java.lang.String getOtherAddress()

      Gets the whole, unparsed other address for the contact.
      Returns:
        the other address

    - #### setOtherAddress

          public void setOtherAddress(java.lang.String otherAddress)

      Sets the whole, unparsed other address for the contact.
      Parameters:
        `otherAddress` - the new other address

    - #### getEmail1Address

          public java.lang.String getEmail1Address()

      Gets the e-mail address of the first e-mail entry for the contact.
      Returns:
        the email1 address

    - #### setEmail1Address

          public void setEmail1Address(java.lang.String email1Address)

      Sets the e-mail address of the first e-mail entry for the contact.
      Parameters:
        `email1Address` - the new email1 address

    - #### getEmail2Address

          public java.lang.String getEmail2Address()

      Gets the e-mail address of the second e-mail entry for the contact.
      Returns:
        the email2 address

    - #### setEmail2Address

          public void setEmail2Address(java.lang.String email2Address)

      Sets the e-mail address of the second e-mail entry for the contact.
      Parameters:
        `email2Address` - the new email2 address

    - #### getEmail3Address

          public java.lang.String getEmail3Address()

      Gets the e-mail address of the third e-mail entry for the contact.
      Returns:
        the email3 address

    - #### setEmail3Address

          public void setEmail3Address(java.lang.String email3Address)

      Sets the e-mail address of the third e-mail entry for the contact.
      Parameters:
        `email3Address` - the new email3 address

    - #### getEmail1DisplayName

          public java.lang.String getEmail1DisplayName()

      Gets the display name of the first e-mail address for the contact.
      Returns:
        the email1 display name

    - #### setEmail1DisplayName

          public void setEmail1DisplayName(java.lang.String email1DisplayName)

      Sets the display name of the first e-mail address for the contact.
      Parameters:
        `email1DisplayName` - the new email1 display name

    - #### getEmail2DisplayName

          public java.lang.String getEmail2DisplayName()

      Gets the display name of the second e-mail address for the contact.
      Returns:
        the email2 display name

    - #### setEmail2DisplayName

          public void setEmail2DisplayName(java.lang.String email2DisplayName)

      Sets the display name of the second e-mail address for the contact.
      Parameters:
        `email2DisplayName` - the new email2 display name

    - #### getEmail3DisplayName

          public java.lang.String getEmail3DisplayName()

      Gets the display name of the third e-mail address for the contact.
      Returns:
        the email3 display name

    - #### setEmail3DisplayName

          public void setEmail3DisplayName(java.lang.String email3DisplayName)

      Sets the display name of the third e-mail address for the contact.
      Parameters:
        `email3DisplayName` - the new email3 display name

    - #### getEmail1DisplayAs

          public java.lang.String getEmail1DisplayAs()

      Gets the display as name of the first e-mail address for the contact.
      Returns:
        the email1 display as

    - #### setEmail1DisplayAs

          public void setEmail1DisplayAs(java.lang.String email1DisplayAs)

      Sets the display as name of the first e-mail address for the contact.
      Parameters:
        `email1DisplayAs` - the new email1 display as

    - #### getEmail2DisplayAs

          public java.lang.String getEmail2DisplayAs()

      Gets the display as name of the second e-mail address for the contact.
      Returns:
        the email2 display as

    - #### setEmail2DisplayAs

          public void setEmail2DisplayAs(java.lang.String email2DisplayAs)

      Sets the display as name of the second e-mail address for the contact.
      Parameters:
        `email2DisplayAs` - the new email2 display as

    - #### getEmail3DisplayAs

          public java.lang.String getEmail3DisplayAs()

      Gets the display as name of the third e-mail address for the contact.
      Returns:
        the email3 display as

    - #### setEmail3DisplayAs

          public void setEmail3DisplayAs(java.lang.String email3DisplayAs)

      Sets the display as name of the third e-mail address for the contact.
      Parameters:
        `email3DisplayAs` - the new email3 display as

    - #### getEmail1Type

          public java.lang.String getEmail1Type()

      Gets the type of the first e-mail address for the contact.
      Returns:
        the email1 type

    - #### setEmail1Type

          public void setEmail1Type(java.lang.String email1Type)

      Sets the type of the first e-mail address for the contact.
      Parameters:
        `email1Type` - the new email1 type

    - #### getEmail2Type

          public java.lang.String getEmail2Type()

      Gets the type of the second e-mail address for the contact.
      Returns:
        the email2 type

    - #### setEmail2Type

          public void setEmail2Type(java.lang.String email2Type)

      Sets the type of the second e-mail address for the contact.
      Parameters:
        `email2Type` - the new email2 type

    - #### getEmail3Type

          public java.lang.String getEmail3Type()

      Gets the type of the third e-mail address for the contact.
      Returns:
        the email3 type

    - #### setEmail3Type

          public void setEmail3Type(java.lang.String email3Type)

      Sets the type of the third e-mail address for the contact.
      Parameters:
        `email3Type` - the new email3 type

    - #### getEmail1EntryId

          public byte[] getEmail1EntryId()

      Gets the entry ID of the first e-mail address for the contact.
      Returns:
        the email1 entry id

    - #### setEmail1EntryId

          public void setEmail1EntryId(byte[] email1EntryId)

      Sets the entry ID of the first e-mail address for the contact.
      Parameters:
        `email1EntryId` - the new email1 entry id

    - #### getEmail2EntryId

          public byte[] getEmail2EntryId()

      Gets the entry ID of the second e-mail address for the contact.
      Returns:
        the email2 entry id

    - #### setEmail2EntryId

          public void setEmail2EntryId(byte[] email2EntryId)

      Sets the entry ID of the second e-mail address for the contact.
      Parameters:
        `email2EntryId` - the new email2 entry id

    - #### getEmail3EntryId

          public byte[] getEmail3EntryId()

      Gets the entry ID of the third e-mail address for the contact.
      Returns:
        the email3 entry id

    - #### setEmail3EntryId

          public void setEmail3EntryId(byte[] email3EntryId)

      Sets the entry ID of the third e-mail address for the contact.
      Parameters:
        `email3EntryId` - the new email3 entry id

    - #### getRecipients

          public java.util.List<Recipient> getRecipients()

      Gets collection of recipients.
      Returns:
        the recipients

    - #### getAttachments

          public java.util.List<Attachment> getAttachments()

      Gets collection of attachments.
      Returns:
        the attachments

    - #### getExtendedProperties

          public java.util.List<ExtendedProperty> getExtendedProperties()

      Gets collection of extended (custom) properties.
      Returns:
        the extended properties

    - #### isEmbedded

          public boolean isEmbedded()

      Gets true if Message is embedded into another message object, otherwise false.
      Returns:
        true, if is embedded

    - #### setEmbedded

          public void setEmbedded(boolean isEmbedded)

      Sets true if Message is embedded into another message object.
      Parameters:
        `isEmbedded` - the new embedded